//----------------------------------------------------------------------------//
/*
 *  Copyright (c) 2002 - 2003 Phil Kerr [phil@plus24.com]
 *
 *  dmidi.h  Main header file for dpromix01    
 *  http://www.dmidi.org
 *
 *  This  program is free software; you can redistribute it and/or modify it
 *  under the  terms  of  the GNU General Public License as published by the
 *  Free Software Foundation version 2 of the License.
 * 
 *  This  program  is  distributed  in  the hope that it will be useful, but
 *  WITHOUT   ANY   WARRANTY;   without   even  the   implied   warranty  of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 *  Public License for more details (see enclosed file COPYING).
 * 
 *  You  should have received a copy of the GNU General Public License along
 *  with this  program; if not, write to the Free Software Foundation, Inc.,
 *  675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  $Id:$ 
 */
//----------------------------------------------------------------------------//

#ifndef DMIDI
#define DMIDI

//----------------------------------------------------------------------------//
//  Defines for broadcast node reception id

#define DMIDI_BROADCAST_NODEBYTE1 0xff
#define DMIDI_BROADCAST_NODEBYTE2 0xff
#define DMIDI_BROADCAST_NODEBYTE3 0xff
#define DMIDI_BROADCAST_NODEBYTE4 0xff

//----------------------------------------------------------------------------//
//  Define for default data byte value

#define DMIDI_DATABYTE1 0xb0
#define DMIDI_DATABYTE2 0

//----------------------------------------------------------------------------//
//  Include for QT GUI and networking objects

#include <qapplication.h>
#include <qobject.h>
#include <qthread.h>

extern bool serverRun;

//----------------------------------------------------------------------------//
//  This is the main DMIDI QT control class.  This is responsible for the 
//  transmission of DMIDI data and the reading of it's XML configuration data

class dmidi : public QObject, QThread
{
    Q_OBJECT

//----------------------------------------------------------------------------//

public:
    dmidi (QObject * parent=0, const char * name=0)
    {
    };

//----------------------------------------------------------------------------//

signals:
    void sliderval (int);                       //  Value of data slider
    void node1_config (const QString& x);
    void node2_config (const QString& x);
    void node3_config (const QString& x);
    void node4_config (const QString& x);

    void midi_value1 (int);
    void midi_value2 (int);
    void midi_value3 (int);
    void midi_value4 (int);
    void midi_value5 (int);
    void midi_value6 (int);
    void midi_value7 (int);
    void midi_value8 (int);
    void midi_value9 (int);
    void midi_value10 (int);
    void midi_value11 (int);
    void midi_value12 (int);
    void midi_value13 (int);
    void midi_value14 (int);
    void midi_value15 (int);
    void midi_value16 (int);

    void midi_valuestin (int);

    void midi_valuesend1 (int);
    void midi_valuesend2 (int);
    void midi_valuesend3 (int);
    void midi_valuesend4 (int);

    void midi_valuestout (int);

//----------------------------------------------------------------------------//

    void pan_value1 (int);
    void pan_value2 (int);
    void pan_value3 (int);
    void pan_value4 (int);
    void pan_value5 (int);
    void pan_value6 (int);
    void pan_value7 (int);
    void pan_value8 (int);
    void pan_value9 (int);
    void pan_value10 (int);
    void pan_value11 (int);
    void pan_value12 (int);
    void pan_value13 (int);
    void pan_value14 (int);
    void pan_value15 (int);
    void pan_value16 (int);

    void pan_valuestinl (int);
    void pan_valuestinr (int);

    void pan_valueret1l (int);
    void pan_valueret1r (int);

    void pan_valueret2l (int);
    void pan_valueret2r (int);

    void pan_valueret3 (int);
//    void pan_valueret3 (int);

    void pan_valueret4 (int);
//    void pan_valueret4 (int);

    void pan_valuestout (int);

    void dmidi_signal (const QString&);
    void dmidi_event (void);


//----------------------------------------------------------------------------//
// Signals for XML config

    void setmidichan (int);

    void node1 (const QString&);
    void node2 (const QString&);
    void node3 (const QString&);
    void node4 (const QString&);

    void setnodename (const QString&);

    void setvol1 (int);
    void setvol2 (int);
    void setvol3 (int);
    void setvol4 (int);
    void setvol5 (int);
    void setvol6 (int);
    void setvol7 (int);
    void setvol8 (int);
    void setvol9 (int);
    void setvol10 (int);
    void setvol11 (int);
    void setvol12 (int);
    void setvol13 (int);
    void setvol14 (int);
    void setvol15 (int);
    void setvol16 (int);

    void setvolstin (int);
    void setvolret1 (int);
    void setvolret2 (int);
    void setvolret3 (int);
    void setvolret4 (int);
    void setvolstout (int);

    void seton1 (bool);
    void seton2 (bool);
    void seton3 (bool);
    void seton4 (bool);
    void seton5 (bool);
    void seton6 (bool);
    void seton7 (bool);
    void seton8 (bool);
    void seton9 (bool);
    void seton10 (bool);
    void seton11 (bool);
    void seton12 (bool);
    void seton13 (bool);
    void seton14 (bool);
    void seton15 (bool);
    void seton16 (bool);
    void setonstin (bool);
    void setonret1 (bool);
    void setonret2 (bool);
    void setonret3 (bool);
    void setonret4 (bool);
    void setonstout (bool);

    void setpan1 (int);
    void setpan2 (int);
    void setpan3 (int);
    void setpan4 (int);
    void setpan5 (int);
    void setpan6 (int);
    void setpan7 (int);
    void setpan8 (int);
    void setpan9 (int);
    void setpan10 (int);
    void setpan11 (int);
    void setpan12 (int);
    void setpan13 (int);
    void setpan14 (int);
    void setpan15 (int);
    void setpan16 (int);

    void setpanstinl (int);
    void setpanstinr (int);

    void setpansend1l (int);
    void setpansend1r (int);

    void setpansend2l (int);
    void setpansend2r (int);

    void setpansend3 (int);
//    void setpansend3r (int);

    void setpansend4 (int);
//    void setpansend4r (int);

    void setpanstout (int);

    void setsend1slider1 (int);
    void setsend1slider2 (int);
    void setsend1slider3 (int);
    void setsend1slider4 (int);

    void setActive (bool);

//----------------------------------------------------------------------------//

public slots:
    virtual void setnode1 (const QString& x);
    virtual void setnode2 (const QString& x);
    virtual void setnode3 (const QString& x);
    virtual void setnode4 (const QString& x);
    virtual void setbyte1 (const QString& x);
    virtual void setbyte2 (const QString& x);
    virtual void send_dmidi (unsigned char*, unsigned int);
    virtual void setbroadcast (int i);

    virtual void volume_midi1 (int i);
    virtual void volume_midi2 (int i);
    virtual void volume_midi3 (int i);
    virtual void volume_midi4 (int i);
    virtual void volume_midi5 (int i);
    virtual void volume_midi6 (int i);
    virtual void volume_midi7 (int i);
    virtual void volume_midi8 (int i);
    virtual void volume_midi9 (int i);
    virtual void volume_midi10 (int i);
    virtual void volume_midi11 (int i);
    virtual void volume_midi12 (int i);
    virtual void volume_midi13 (int i);
    virtual void volume_midi14 (int i);
    virtual void volume_midi15 (int i);
    virtual void volume_midi16 (int i);

    virtual void volume_midistin (int i);

    virtual void volume_send1 (int i);
    virtual void volume_send2 (int i);
    virtual void volume_send3 (int i);
    virtual void volume_send4 (int i);

    virtual void volume_midistout (int i);

    virtual void pan_midi1 (int i);
    virtual void pan_midi2 (int i);
    virtual void pan_midi3 (int i);
    virtual void pan_midi4 (int i);
    virtual void pan_midi5 (int i);
    virtual void pan_midi6 (int i);
    virtual void pan_midi7 (int i);
    virtual void pan_midi8 (int i);
    virtual void pan_midi9 (int i);
    virtual void pan_midi10 (int i);
    virtual void pan_midi11 (int i);
    virtual void pan_midi12 (int i);
    virtual void pan_midi13 (int i);
    virtual void pan_midi14 (int i);
    virtual void pan_midi15 (int i);
    virtual void pan_midi16 (int i);

    virtual void pan_midistinl (int i);
    virtual void pan_midistinr (int i);

    virtual void pan_midiret1l (int i);
    virtual void pan_midiret1r (int i);

    virtual void pan_midiret2l (int i);
    virtual void pan_midiret2r (int i);

    virtual void pan_midiret3 (int i);
    virtual void pan_midiret4 (int i);

    virtual void pan_midistout (int i);

    virtual void on1 (int i);
    virtual void on2 (int i);
    virtual void on3 (int i);
    virtual void on4 (int i);
    virtual void on5 (int i);
    virtual void on6 (int i);
    virtual void on7 (int i);
    virtual void on8 (int i);
    virtual void on9 (int i);
    virtual void on10 (int i);
    virtual void on11 (int i);
    virtual void on12 (int i);
    virtual void on13 (int i);
    virtual void on14 (int i);
    virtual void on15 (int i);
    virtual void on16 (int i);

    virtual void onstin (int i);
    virtual void onret1 (int i);
    virtual void onret2 (int i);
    virtual void onret3 (int i);
    virtual void onret4 (int i);
    virtual void onstout (int i);

    virtual void midichan (int i);
    virtual void load_config (void);
    virtual void save_config (void);

    virtual void send1effects (int i);
    virtual void send2effects (int i);

    virtual void send1slider1 (int i);
    virtual void send1slider2 (int i);
    virtual void send1slider3 (int i);
    virtual void send1slider4 (int i);
    virtual void send1slider5 (int i);
    virtual void send1slider6 (int i);
    virtual void send1slider7 (int i);
    virtual void send1slider8 (int i);
    virtual void send1slider9 (int i);
    virtual void send1slider10 (int i);
    virtual void send1slider11 (int i);
    virtual void send1slider12 (int i);
    virtual void send1slider13 (int i);
    virtual void send1slider14 (int i);
    virtual void send1slider15 (int i);
    virtual void send1slider16 (int i);
    virtual void send1slider17 (int i);
    virtual void send1slider18 (int i);
    virtual void send1slider19 (int i);

    virtual void send2slider1 (int i);
    virtual void send2slider2 (int i);
    virtual void send2slider3 (int i);
    virtual void send2slider4 (int i);
    virtual void send2slider5 (int i);
    virtual void send2slider6 (int i);
    virtual void send2slider7 (int i);
    virtual void send2slider8 (int i);
    virtual void send2slider9 (int i);
    virtual void send2slider10 (int i);
    virtual void send2slider11 (int i);
    virtual void send2slider12 (int i);
    virtual void send2slider13 (int i);
    virtual void send2slider14 (int i);
    virtual void send2slider15 (int i);
    virtual void send2slider16 (int i);
    virtual void send2slider17 (int i);
    virtual void send2slider18 (int i);
    virtual void send2slider19 (int i);

//    virtual void scene (int i);
    virtual void restore (void); 
    virtual void run (void); 

//----------------------------------------------------------------------------//

private:

};

//----------------------------------------------------------------------------//

#endif
