//----------------------------------------------------------------------------//
/*
 *  Copyright (c) 2002 - 2003 Phil Kerr [phil@plus24.com]
 *
 *  dpromix01.cpp  Main QT file for dpromix01
 *  http://www.dmidi.org
 *
 *  This  program is free software; you can redistribute it and/or modify it
 *  under the  terms  of  the GNU General Public License as published by the
 *  Free Software Foundation version 2 of the License.
 * 
 *  This  program  is  distributed  in  the hope that it will be useful, but
 *  WITHOUT   ANY   WARRANTY;   without   even  the   implied   warranty  of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 *  Public License for more details (see enclosed file COPYING).
 * 
 *  You  should have received a copy of the GNU General Public License along
 *  with this  program; if not, write to the Free Software Foundation, Inc.,
 *  675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  Compile like so:
 *
 *  moc -o moc_dmidi.h dmidi.h
 *  g++ -O2 -Wall -I$QTDIR/include dmidi.cpp dpromix01.cpp -L$QTDIR/lib 
 *  -DLINUX -lqt-mt -o dpromix01
 *
 *  (On some systems you may need to replace the -lqt-mt with -lqt and check 
 *  the location set by $QTDIR)
 *
 *  $Id:$ 
 */
//----------------------------------------------------------------------------//
// Main #includes for QT libs

#include <qapplication.h>
#include <qwidget.h>
#include <qpushbutton.h>
#include <qbutton.h>
#include <qslider.h>
#include <qdial.h>
#include <qlcdnumber.h>
#include <qmenubar.h>
#include <qimage.h>
#include <qpixmap.h>
#include <qvariant.h>
#include <qaccel.h> 
#include <qframe.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qgroupbox.h>
#include <qtabwidget.h>
#include <qrangecontrol.h> 
#include <qscrollbar.h> 
#include <qlineedit.h>
#include <qlayout.h>
#include <qvariant.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qfile.h>
#include <qtextstream.h> 
#include <qnamespace.h> 
#include <qpainter.h>
#include <qwidget.h>
#include <qcombobox.h> 
#include <qtextbrowser.h>
#include <qtable.h>
#include <qspinbox.h>
#include <qradiobutton.h>
#include <qbuttongroup.h>
#include <qglobal.h>
#include <qlistbox.h>
#include <qpalette.h> 

#include <qthread.h>

//----------------------------------------------------------------------------//
//  This is the #include for the signals and slots code generated by moc
//  from the dmidi.h file

#include "moc_dmidi.h"

//----------------------------------------------------------------------------//
//  Include for SCHED_FIFO if we are running on Linux

#ifdef LINUX
#include <sched.h>
#endif

//----------------------------------------------------------------------------//
// RT priority function.  Defined if we are running on Linux

#ifdef LINUX

void set_realtime_priority (void)
{
    struct sched_param schp;

    memset (&schp, 0, sizeof (schp));
    schp.sched_priority = sched_get_priority_max(SCHED_FIFO);

    if (sched_setscheduler(0, SCHED_FIFO, &schp) != 0) {
            qDebug ("Real time priority not set: Try running as root");
    } else {
            qDebug ("Real time priority set:");
    }
}

#endif

//----------------------------------------------------------------------------//


static const char* const image0_data[] = { 
"21 16 3 1",
". c None",
"# c #000000",
"a c #ffffff",
".....................",
"................##...",
".............###a#...",
"..........###aaaa#...",
"..........#aaaa###...",
"..........#aa##..#...",
"..........#a.....#...",
"..........#......#...",
"..........#......#...",
"..........#......#...",
"..........#....###...",
"..........#...####...",
"........###...###....",
".......####..........",
".......###...........",
"....................."};

// -------------------------------------------------------------------------- //

static const char* const image1_data[] = { 
"409 81 2 1",
". c None",
"# c #8a40cc",
".........................................................................................................................................................................................................................................................................................................................................................................................................................",
".........................................................................................................................................................................................................................................................................................................................................................................................................................",
".........................................................................................................................................................................................................................................................................................................................................................................................................................",
"...........................................................................#########.....................................................................................................................................................................................................................................................................................................................................",
".......................................................###############################...................................................................................................................................................................................................................................................................................................................................",
"..................................................#######################################................................................................................................................................................................................................................................................................................................................................",
"............................................##############################################................................................................................................................................................####...................................................................................................................###########.............................................",
".......................................####################################################.............................................................................................................................................########...............................................................................................................###############....................................###....",
".................................###########################################################............................................................................................................##............................############...........................................................................................................#################..................................######...",
"..............................##############################################################..........................................................................................................######.........................##############........................................................................................................####################...............................########...",
"...........................##################################################################........................................................................................................#########.....................################......................................................................................................#######################............................##########...",
".......................#####################################################..###############......................................................................................................###########...................###################...................................................................................................##########################.........................#############..",
"....................##################################################..............##########....................................................................................................############..................####################.................................................................................................############################.......................###############..",
"................###################################################...................#########..................................................................................................##############...............######################................................................................................................##############################....................#################..",
".............#####################################################....................#########................................................................................................################..............#######################...............................................................................................###################....########..................###################..",
".........#######################################.....############......................########...............................................................................................##################............########################..............................................................................................#################........########...............#####################..",
".......##################################...........############.......................########..............................................................................................###################..........#########################.............................................................................................#################..........########.............#######################..",
".....################################..............############.......................#########............................................................................................####################..........#########################.............................................................................................#################...........########............########################..",
".....############################.................############.......................##########...........................................................................................#####################.........#########################.............................................................................................################.............########..........#########################...",
"....#########################....................############........................##########..........................................................................................#####################........##########################.............................................................................................###############...............########........##########################....",
"....#######################.....................############........................##########.........................................................................................######################........##########################.............................................................................................###############................########........#########################.....",
"....#######################....................############........................###########........................................................................................######################........##########################............................................................................................###############.................#########........########################......",
"....#####################.....................############........................###########........................................................................................######################........##########################............................................................................................###############..................########..........######################.......",
"....#################........................############.........................###########......................................................................................########################......###########################............................................................................................###############..................#########..........######################.......",
"....###############.........................############.........................###########......................................................................................########################......###########################............................................................................................###############..................##########...........####################........",
".....###########...........................############.........................###########......................................................................................########################......###########################...........................................................................................################...................#########...............################.........",
"......########............................############.........................###########.....................................................................................#########################......###########################...........................................................................................################...................##########...............###############..........",
"........###..............................############........................############.....................................................................................#########################......###########################...........................................................................................###############.....................#########................##############...........",
"........................................############........................############.....................................................................................#########################.....############################...........................................................................................###############.....................##########...............##############............",
".......................................############........................############....................................................................................###########################....############.###############..........................................................................................################.....................##########...............##############.............",
"......................................############.......................#############....................................................................................###########################....############.###############...........................................................................................###############......................##########..............##############..............",
".....................................############.......................#############....................................................................................###########################....############.##############............................................................................................###############......................##########..............###############..............",
"....................................############.......................#############...................................................................................##############.#############...#############.##############............................................................................................###############.......................##########.............###############...............",
"...................................############.......................#############...................................................................................##############.#############...############..##############............................................................................................##############........................##########.............###############................",
"..................................############......................##############...................................................................................##############.#############...############..##############............................................................................................##############........................###########.............##############.................",
".................................############......................#############...................................................................................##############..#############...############..##############............................................................................................##############........................###########.............##############..................",
"................................#############....................##############...................................................................................##############...#############..############..##############............................................................................................##############........................############............##############...................",
"...............................#############...................###############...................................................................................##############...#############.############...##############............................................................................................##############.........................###########............##############....................",
"..............................#############..................################..................................................................................##############....#############.############...##############...............#............................................................................##############.........................############...........##############.....................",
".............................#############................#################...................................................................................##############....#############.############...##############...........#######..........................................................................##############.........................############...........###############.....................",
"............................#############...............##################...................................................................................##############....#############.############...##############...........#########........................................................................#############..........................############...........###############......................",
"...........................#############..............###################..................................................................................##############.....#########################....##############............#########....................................#..................................#############..........................############............##############.......................",
"..........................#############.............###################...................................................................................##############.....#########################....##############.............#########...................................####................................#############.........................#############...........##############........................",
".........................#############............####################...................................................................................##############.....#########################....##############.............##########.................................#######..............................#############..........................############...........##############.........................",
"........................#############...........####################....................................######.........................................##############.......########################....##############..............#########..............#####..............########.............................#############..........................############...........##############..........................",
".......................#############..........####################...#####............................#########.......................................##############.......#######################......#############................########............##########.........##########.............................############..........................############...........##############...........................",
"......................#############.........####################....##########.......................###########.....................................##############.......#######################......#############..................######...........#############.......###########............................############..........................############...........##############............................",
"......................##############......####################.....################................##############..................................###############.......#######################......#############............####..................################....############.............................###########..........................############...........###############............................",
".....................#######################################.......#################..............###############.................................##############........#######################......#############............#######...............#################...############.....###.....................############.........................#############...........##############.............................",
"....................######################################.......###################.............################................................##############........#######################......#############............#########.............##################.#############....#####....................############.........................#############...........##############..............................",
"...................#####################################........####################............##################.............................###############........######################.......#############............##########............################################....######....................###########.........................#############...........##############...............................",
"..................####################################.........#####################..........##########....######............................##############..........#####################........############............############.........#################################....#######...................###########.........................#############...........##############................................",
".................####################################.........######################.........##########.....#####........#..................###############..........#####################........############............############.........#############################........#######....................##########.........................#############...........##############.................................",
"................##################################...........######################.........##########.....######......#####...............###############..........#####################........############............############.........###########.#################........########...................##########.........................#############...........##############..................................",
"...............################################.............#####################..........###########.....######....#######..............##############...........#####################........############............############.........##########...################.......#########...................###########........................#############............##############..................................",
"..............##############################...............#####################..........############....######...#########............###############...........#####################........############............############.........##########....###############.......#########....................##########........................#############............##############...................................",
".............###############....########..................#####################..........#############...#######.##########...........###############.............####################.........############..........#############........###########.....#############........#########....................###########.......................#############............##############....................................",
".............##############..............................#########..##########..........##################################...........###############.............###################..........############..........#############........###########.....#############........#########.....................##########.......................#############............##############.....................................",
"............##############..............................#########..##########...........##################################.........################.............###################..........############..........#############........##########.......############.......##########......................#########.......................#############............##############......................................",
"...........##############..............................#########..##########...........########..#######################..........###############..............###################..........############.........##############........##########.......############.......##########......................##########......................#############............##############.......................................",
"..........##############..............................#########..##########...........########...######################.........################...............##################..........############.........##############.......###########.......###########........##########.......................#########.....................##############.............##############.......................................",
".........##############..............................##########.##########...........#########....####################........#################...............##################..........############........################......###########.......###########........##########........................#########....................##############.............##############........................................",
"........###############.............................##########.##########..........##########......#################.........################................##################...........###########........################.....###########........############......###########........................##########...................##############.............##############.........................................",
".......###############.............................##########.##########.........###########......################.........#################.................################............###########........################.....###########.......#############......###########.........................#########...................##############.............##############..........................................",
"......###############..............................#########..#########........############......##############..........##################.................################.............###########......#################.....###########.......##############....############..........................#########.................###############.............##############...........................................",
".....###############..............................#########..##########......##############.....#############...........#################..................################..............##########......##################...############.......###############..#############...........................#########...............################.............##############............................................",
"....###############..............................#########..##########.....###############.....###########............##################..................################..............##########.....###################...###########........################.#############............................#########.............#################..............##############............................................",
"....##############..............................##########..#########....#################....###########...........##################....................###############...............##########...#####################.############........##############################.............................#########............#################..............##############.............................................",
"...###############.............................##########..#########...##################....###########...........##################....................###############...............##########.#######################.############........##############################..............................#########..........##################...............#############..............................................",
"..###############.............................##########...##############################..############....#########################....................###############................#############################################.........#############################................................#########........##################................#############...............................................",
"..##############.............................##########....######################.###################......#######################.....................###############.................#######################..###################.........##########.##################..................................##########..#####################................#############................................................",
".##############.............................##########.....####################...##################.......######################......................##############..................######################...##################.........##########..#################...................................###############################..................############.................................................",
".#############..............................##########.....##################.....################.........####################........................#############....................###################.....################...........########....################....................................##############################...................############.................................................",
".############...............................#########......#################......###############...........#################...........................###########.....................##################......###############...........########......##############......................................###########################.....................###########..................................................",
"..##########................................########.......###############........##############............################............................##########......................#################.......##############...........########.......############.........................................#########################......................##########...................................................",
"..##########...............................########........##############..........###########...............#############...............................########........................##############..........############...........#######..........#########............................................#######################.......................#########....................................................",
"..#########.................................######..........###########.............#########.................##########..................................######..........................############............#########.............######............######...............................................###################...........................#######.....................................................",
"...#######..................................#####............########...............#######.....................#######.....................................................................#######................#######..............#####....................................................................##############..............................######......................................................",
"....####......................................##................##............................................................................................................................#......................##..............................................................................................#######.............................................................................................",
".........................................................................................................................................................................................................................................................................................................................................................................................................................",
"........................................................................................................................................................................................................................................................................................................................................................................................................................."};

// -------------------------------------------------------------------------- //

static const char* const dmidilogo_data[] = { 
"161 69 40 1",
"e c #000000",
"D c #080808",
"s c #181c18",
"v c #201c20",
"m c #202020",
"J c #202420",
"I c #292429",
"L c #292c29",
"K c #312c31",
"B c #313431",
"A c #393439",
"t c #393839",
"x c #393c39",
"y c #413c41",
"H c #414041",
"G c #414441",
"f c #525552",
"g c #5a555a",
"i c #5a595a",
"w c #6a6d6a",
"C c #736d73",
"p c #737173",
"q c #737573",
"o c #7b757b",
"z c #837d83",
"j c #8b8d8b",
"n c #948d94",
"k c #949194",
"# c #acaaac",
"h c #acaeac",
"a c #b4aeb4",
"F c #bdbebd",
"E c #c5c2c5",
"u c #c5c6c5",
"l c #cdc6cd",
"c c #cdcacd",
"r c #e6e2e6",
"d c #e6e6e6",
"b c #eee6ee",
". c #ffffff",
".................................................................................................................................................................",
".................................................................................................................................................................",
".................................................................................................................................................................",
".................................................................................................................................................................",
"...............................#a#a#a#b.........................................................c#a#a#ac.............................da#a#a#a.....b#a#a#a#.......",
"...............................eeeeeee#.........................................................feeeeeeg.............................heeeeeee.....#eeeeeee.......",
"...............................eeeeeeea.........................................................ieeeeeeg.............................#eeeeeee.....aeeeeeee.......",
"...............................eeeeeee#.........................................................feeeeeeg.............................heeeeeee.....#eeeeeee.......",
"...............................eeeeeeea.........................................................ieeeeeef.............................#eeeeeee.....aeeeeeee.......",
"...............................eeeeeee#.........................................................feeeeeeg.............................heeeeeee.....#eeeeeee.......",
"...............................eeeeeeea.........................................................ieeeeeeg.............................#eeeeeee.....aeeeeeee.......",
"...............................eeeeeee#.........................................................jgfgfgfk.............................heeeeeee.....lgfgfgfg.......",
"...............................eeeeeeea..............................................................................................#eeeeeee....................",
"...............................eeeeeee#..............................................................................................heeeeeee....................",
"................afmeeeeeinb....eeeeeeea................cofigipa...........apifigo#b...................................bnieeeeemga....#eeeeeee....................",
".............dpeeeeeeeeeeeeqr..eeeeeee#.....feeeeee..hseeeeeeeeep......bpeeeeeeeeeetu...........feeeeeeg............uteeeeeeeeeeevj..heeeeeee.....#eeeeeee.......",
"............aveeeeeeeeeeeeeeen.eeeeeeea.....ieeeeee.oeeeeeeeeeeeevb...aeeeeeeeeeeeeeegb.........ieeeeeef...........peeeeeeeeeeeeeeesc#eeeeeee.....aeeeeeee.......",
"...........geeeeeeeeeeeeeeeeeefeeeeeee#.....feeeeeeqeeeeeeeeeeeeeesd.qeeeeeeeeeeeeeeeesd........feeeeeeg.........bseeeeeeeeeeeeeeeeeegeeeeeee.....#eeeeeee.......",
"..........ieeeeeeeeeeeeeeeeeeeeeeeeeeea.....ieeeeeeeeeeeeeeeeeeeeeetaeeeeeeeeeeeeeeeeeev........ieeeeeeg........bseeeeeeeeeeeeeeeeeeeeeeeeeee.....aeeeeeee.......",
".........qeeeeeeeeeeeeeeeeeeeeeeeeeeee#.....feeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeep.......feeeeeeg........seeeeeeeeeeeeeeeeeeeeeeeeeeee.....#eeeeeee.......",
"........aeeeeeeeeeeeeeeeeeeeeeeeeeeeeea.....ieeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee.......ieeeeeef.......feeeeeeeeeeeeeeeeeeeeeeeeeeeee.....aeeeeeee.......",
"........seeeeeeeeepc....rkseeeeeeeeeee#.....feeeeeeeeesq#h#kteeeeeeeeeeeeetk#h#qeeeeeeeeeh......feeeeeeg......ueeeeeeeeesw#....cpeeeeeeeeeeee.....#eeeeeee.......",
".......neeeeeeeexd.........neeeeeeeeeea.....ieeeeeeeefb......#eeeeeeeeeeen......bseeeeeeef......ieeeeeeg......yeeeeeeeep.........dieeeeeeeeee.....aeeeeeee.......",
".......veeeeeeeg............#eeeeeeeee#.....feeeeeeet.........jeeeeeeeeej........dseeeeeee......feeeeeeg.....ceeeeeeeez............geeeeeeeee.....#eeeeeee.......",
"......aeeeeeeem..............#eeeeeeeea.....ieeeeeeea..........eeeeeeees..........oeeeeeee......ieeeeeef.....geeeeeeep......AB......ieeeeeeee.....aeeeeeee.......",
"......feeeeeeeu...............teeeeeee#.....feeeeeee...........geeeeeeeq..........#eeeeeee#.....feeeeeeg.....eeeeeees.......BA......reeeeeeee.....#eeeeeee.......",
"......meeeeeet................ceeeeeeea.....ieeeeeev...........neeeeeee#...........eeeeeeea.....ieeeeeeg....ceeeeeeeC...mD.....EDe...peeeeeee.....aeeeeeee.......",
"......eeeeeeeh.................veeeeee#.....feeeeeeg...........heeeeeeeb...........eeeeeee#.....feeeeeeg....#eeeeeeeF...Gg.....EfH...ceeeeeee.....#eeeeeee.......",
".....#eeeeeeed.................feeeeeea.....ieeeeeef...........#eeeeeee............eeeeeeea.....ieeeeeef....ieeeeeet..................eeeeeee.....aeeeeeee.......",
".....heeeeeee..................keeeeee#.....feeeeeeg...........heeeeeee............eeeeeee#.....feeeeeeg....feeeeeeg..................teeeeee.....#eeeeeee.......",
".....#eeeeeee..................#eeeeeea.....ieeeeeeg...........#eeeeeee............eeeeeeea.....ieeeeeeg....ieeeeeeg..IJ.........sK...ieeeeee.....aeeeeeee.......",
".....heeeeeee..................qeeeeee#.....feeeeeeg...........heeeeeee............eeeeeee#.....feeeeeeg....feeeeeeg..AA.........LH...seeeeee.....#eeeeeee.......",
".....#eeeeeee#.................feeeeeea.....ieeeeeef...........#eeeeeee............eeeeeeea.....ieeeeeef....ieeeeeee..................eeeeeee.....aeeeeeee.......",
"......eeeeeeeq.................eeeeeee#.....feeeeeeg...........heeeeeee............eeeeeee#.....feeeeeeg....#eeeeeeel................heeeeeee.....#eeeeeee.......",
"......meeeeees................keeeeeeea.....ieeeeeeg...........#eeeeeee............eeeeeeea.....ieeeeeeg....ceeeeeeeo................teeeeeee.....aeeeeeee.......",
"......feeeeeeep...............seeeeeee#.....feeeeeeg...........heeeeeee............eeeeeee#.....feeeeeeg.....eeeeeeeec..............ueeeeeeee.....#eeeeeee.......",
"......aeeeeeeee#.............geeeeeeeea.....ieeeeeef...........#eeeeeee............eeeeeeea.....ieeeeeef.....geeeeeeevb............dmeeeeeeee.....aeeeeeee.......",
".......veeeeeeee#...........feeeeeeeee#.....feeeeeeg...........heeeeeee............eeeeeee#.....feeeeeeg.....ceeeeeeeesd..........rveeeeeeeee.....#eeeeeee.......",
".......neeeeeeeeepb.......cteeeeeeeeeea.....ieeeeeeg...........#eeeeeee............eeeeeeea.....ieeeeeeg......yeeeeeeeevk........nmeeeeeeeeee.....aeeeeeee.......",
"........seeeeeeeeeegjh#hpteeeeeeeeeeee#.....feeeeeeg...........heeeeeee............eeeeeee#.....feeeeeeg......leeeeeeeeeevfh#h#gseeeeeeeeeeee.....#eeeeeee.......",
"........beeeeeeeeeeeeeeeeeeeeeeeeeeeeea.....ieeeeeef...........#eeeeeee............eeeeeeea.....ieeeeeef.......neeeeeeeeeeeeeeeeeeeeeeeeeeeee.....aeeeeeee.......",
".........heeeeeeeeeeeeeeeeeeeeeeeeeeee#.....feeeeeeg...........heeeeeee............eeeeeee#.....feeeeeeg........feeeeeeeeeeeeeeeeeeeeeeeeeeee.....#eeeeeee.......",
"..........aeeeeeeeeeeeeeeeeeeemneeeeeea.....ieeeeeeg...........#eeeeeee............eeeeeeea.....ieeeeeeg.........feeeeeeeeeeeeeeeeeeefieeeeee.....aeeeeeee.......",
"...........hseeeeeeeeeeeeeeeevrheeeeee#.....feeeeeeg...........heeeeeee............eeeeeee#.....feeeeeeg..........peeeeeeeeeeeeeeeeef.feeeeee.....#eeeeeee.......",
"............bgeeeeeeeeeeeeeeid.#eeeeeea.....ieeeeeef...........#eeeeeee............eeeeeeea.....ieeeeeef...........cmeeeeeeeeeeeeeen..ieeeeee.....aeeeeeee.......",
"..............ugeeeeeeeeeetc...heeeeee#.....feeeeeeg...........heeeeeee............eeeeeee#.....feeeeeeg.............kteeeeeeeeeeqr...feeeeee.....#eeeeeee.......",
".................#kgifigad.............................................................................................dapigifo#.................................",
".................................................................................................................................................................",
".................................................................................................................................................................",
".................................................................................................................................................................",
"...............................cin.cin........cgk.......if.cin..................kfc..................cin.....................fi........nic.nic...................",
"...............................heg.heg........#ef.......ee.heg..................fe#..................heg.....................ee........geh.geh...................",
"...........................da#.#eg.dac...#a...aei.....a.a#.#eg.cac..............iea....da#.......da#.#ef........b#a...c#c....#a....cac.fe#.cad...................",
"..........................peeeegeg.heg.dseevrgeeee.eege.ee.hetteeetd..fe#...ee.eeeeg..peeesh....peeeegeg.....hevseev#veeetr..ee..bteeesteh.geh...................",
".........................neexfeeef.#ef.tetmeofeeee.eeee.ee.#eeetieet..iea...ee.eeeeg.feeiteea..neeygeeeg.....#eeefeeeemteeo..ee..teeiteee#.ge#...................",
".........................veh..rveg.heg.ee.lgj.#ef..eeg..ee.hee#..dse#.fe#...ee..fe#.uesb..#es..veh..rveg.....heeu.reev..pes..ee.uesb..#eeh.geh...................",
"........................cex....#eg.#eg.setkd..aei..ee...ee.#eg....kei.iea...ee..iea.iei#a#aseccey....#ef.....#et...fen...ee..ee.oek....fe#.fe#...................",
"........................#ef....heg.heg.dseee#.#ef..ee...ee.heg....#ef.fe#...ee..fe#.seeeeeeeeh#ef....heg.....heg...geh...ee..ee.fe#....geh.geh...................",
"........................aey....#ef.#ef...#yem.aei..ee...ee.#ef....kei.iea...ee..iea.xemgifigicaex....#eg.....#eg...ge#...ee..ee.iek....ge#.ge#...................",
".........................eeh..rveg.heglgp..ee.#ef..ee...ee.hee#..dse#.pef..kee..fe#.pesb..#gf..eeh..rveg.....heg...geh...ee..ee.#esb..#eeh.geh...................",
".........................neeygeeeg.#egbeetmey.aei..ee...ee.#eeetieet..ceetxeee..iea..veeiteeo..neexfeeef.....#ef...fe#...ee..ee..teeiteee#.fe#...................",
"..........................peeesgeg.heg.heeevr.#ef..ee...ee.hekteeetd...geeegee..fe#..bteeeeq....peeesgeg.....heg...geh...ee..ee..bteeetteh.geh...................",
"...........................da#..........b#a....................cac......c#c............da#b......da#...............................cac...........................",
".................................................................................................................................................................",
".................................................................................................................................................................",
".................................................................................................................................................................",
".................................................................................................................................................................",
".................................................................................................................................................................",
"eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee"};

// -------------------------------------------------------------------------- //
// -------------------------------------------------------------------------- //
// 





//----------------------------------------------------------------------------//
//  Main.  The usual

int main (int argc, char* argv[])
{

//----------------------------------------------------------------------------//
//  Set SCHED_FIFO if we are running on Linux

#ifdef LINUX
set_realtime_priority ();
#endif

// -------------------------------------------------------------------------- //
// x is the initial x coord offset for QWidget
unsigned register int x = 3;

// y is the initial y coord offset for QWidget
unsigned register int y = 5;

// -------------------------------------------------------------------------- //
// Palette defs

QPalette paldial;
QColorGroup cgdial;

cgdial.setColor (QColorGroup::Background, QColor (80, 80, 80) );
cgdial.setColor (QColorGroup::Dark, QColor (40, 240, 40) );
cgdial.setColor (QColorGroup::Light, QColor (40, 40, 40) );

paldial.setActive (cgdial);
paldial.setInactive (cgdial);

// -------------------------------------------------------------------------- //

QPalette paldialstin;
QColorGroup cgdialstin;

cgdialstin.setColor (QColorGroup::Foreground, QColor (0, 0, 255) );
cgdialstin.setColor (QColorGroup::Button, QColor (40, 40, 40) );
cgdialstin.setColor (QColorGroup::Dark, QColor (0, 255, 0) );
cgdialstin.setColor (QColorGroup::Light, QColor (0, 255, 0) );
cgdialstin.setColor (QColorGroup::Midlight, QColor (0, 0, 255) );
cgdialstin.setColor (QColorGroup::Mid, QColor (40, 40, 40));
cgdialstin.setColor (QColorGroup::Text, QColor (40, 40, 40) );
cgdialstin.setColor (QColorGroup::BrightText, QColor (40, 40, 40) );
cgdialstin.setColor (QColorGroup::ButtonText, QColor (40, 40, 40) );
cgdialstin.setColor (QColorGroup::Base, QColor (20, 20, 20) );
cgdialstin.setBrush (QColorGroup::Background, QColor (40, 40, 40) );
cgdialstin.setColor (QColorGroup::Shadow, QColor (255, 255, 255) );
cgdialstin.setColor (QColorGroup::Highlight, QColor (0, 0, 156) );
cgdialstin.setColor (QColorGroup::HighlightedText, QColor (255, 255, 255) );

paldialstin.setActive (cgdialstin);
paldialstin.setInactive (cgdialstin);

// -------------------------------------------------------------------------- //

QPalette paldialrns;
QColorGroup cgdialrns;

cgdialrns.setColor (QColorGroup::Foreground, QColor (0, 0, 255) );
cgdialrns.setColor (QColorGroup::Button, QColor (40, 40, 40) );
cgdialrns.setColor (QColorGroup::Dark, QColor (255, 255, 255) );
cgdialrns.setColor (QColorGroup::Light, QColor (255, 255, 255) );
cgdialrns.setColor (QColorGroup::Midlight, QColor (0, 0, 255) );
cgdialrns.setColor (QColorGroup::Mid, QColor (40, 40, 40));
cgdialrns.setColor (QColorGroup::Text, QColor (40, 40, 40) );
cgdialrns.setColor (QColorGroup::BrightText, QColor (40, 40, 40) );
cgdialrns.setColor (QColorGroup::ButtonText, QColor (40, 40, 40) );
cgdialrns.setColor (QColorGroup::Base, QColor (20, 20, 20) );
cgdialrns.setBrush (QColorGroup::Background, QColor( 100, 100, 200) );
cgdialrns.setColor (QColorGroup::Shadow, QColor (255, 255, 255) );
cgdialrns.setColor (QColorGroup::Highlight, QColor (0, 0, 156) );
cgdialrns.setColor (QColorGroup::HighlightedText, QColor (255, 255, 255) );

paldialrns.setActive (cgdialrns);
paldialrns.setInactive (cgdialrns);

// -------------------------------------------------------------------------- //

QPalette paldialout;
QColorGroup cgdialout;

cgdialout.setColor (QColorGroup::Foreground, QColor (0, 255, 0) );
cgdialout.setColor (QColorGroup::Button, QColor (40, 40, 40) );
cgdialout.setColor (QColorGroup::Dark, QColor (255, 0, 0) );
cgdialout.setColor (QColorGroup::Light, QColor (255, 0, 0) );
cgdialout.setColor (QColorGroup::Midlight, QColor (0, 255, 0) );
cgdialout.setColor (QColorGroup::Mid, QColor (40, 40, 40));
cgdialout.setColor (QColorGroup::Text, QColor (40, 40, 40) );
cgdialout.setColor (QColorGroup::BrightText, QColor (40, 40, 40) );
cgdialout.setColor (QColorGroup::ButtonText, QColor (40, 40, 40) );
cgdialout.setColor (QColorGroup::Base, QColor (40, 40, 40) );
cgdialout.setBrush (QColorGroup::Background, QColor (200, 100, 100) );
cgdialout.setColor (QColorGroup::Shadow, QColor (255, 255, 255) );
cgdialout.setColor (QColorGroup::Highlight, QColor (0, 0, 156) );
cgdialout.setColor (QColorGroup::HighlightedText, QColor (255, 255, 255) );

paldialout.setActive (cgdialout);
paldialout.setInactive (cgdialout);

// -------------------------------------------------------------------------- //

QPalette paldata;
QColorGroup cgdata;

cgdata.setColor (QColorGroup::Foreground, QColor (40, 40, 40));
cgdata.setColor (QColorGroup::Button, QColor (40, 40, 40));
cgdata.setColor (QColorGroup::Dark, QColor (40, 40, 40));
cgdata.setColor (QColorGroup::Text, QColor (240, 40, 40));
cgdata.setColor (QColorGroup::Base, QColor (0, 0, 0));
cgdata.setColor (QColorGroup::Highlight, QColor (210, 0, 0));

paldata.setActive (cgdata);
paldata.setInactive (cgdata);

// -------------------------------------------------------------------------- //

QPalette pal;
QColorGroup cg;

cg.setColor (QColorGroup::Foreground, QColor (255, 0, 0));
cg.setColor (QColorGroup::Button, QColor (140, 140, 140));
cg.setColor (QColorGroup::Dark, QColor (107, 107, 107));
cg.setColor (QColorGroup::Light, QColor (107, 107, 107));
cg.setColor (QColorGroup::Mid, QColor (0, 255, 0));
cg.setColor (QColorGroup::Background, QColor (10, 10, 10));

pal.setInactive (cg);
pal.setDisabled (cg);
pal.setActive (cg);

// -------------------------------------------------------------------------- //

QPalette palvol;
QColorGroup cgvol;

cgvol.setColor( QColorGroup::Text, QColor( 255, 255, 255) );
cgvol.setColor( QColorGroup::Foreground, QColor( 255, 255, 255) );
cgvol.setColor( QColorGroup::Button, QColor( 40, 140, 40) );
cgvol.setColor( QColorGroup::Midlight, QColor( 234, 234, 234) );
cgvol.setColor( QColorGroup::Mid, QColor( 40, 40, 40) );
cgvol.setColor( QColorGroup::Background, QColor( 80, 80, 80) );

cgvol.setColor (QColorGroup::HighlightedText, QColor (255, 255, 255) );
cgvol.setColor( QColorGroup::Mid, QColor( 40, 240, 40) );
cgvol.setColor (QColorGroup::Dark, QColor( 20, 20, 20) );
cgvol.setColor (QColorGroup::Light, QColor( 140, 140, 140) );

palvol.setActive( cgvol );
palvol.setInactive( cgvol );
palvol.setDisabled( cgvol );

// -------------------------------------------------------------------------- //

QPalette palvolstin;
QColorGroup cgvolstin;
cgvolstin.setColor( QColorGroup::Foreground, QColor( 255, 255, 255) );
cgvolstin.setColor( QColorGroup::Button, QColor( 40, 140, 40) );
cgvolstin.setColor( QColorGroup::Midlight, QColor( 234, 234, 234) );
cgvolstin.setColor( QColorGroup::Mid, QColor( 40, 40, 40) );
cgvolstin.setColor( QColorGroup::Background, QColor( 40, 40, 40) );

cgvolstin.setColor (QColorGroup::Dark, QColor( 20, 20, 20) );
cgvolstin.setColor (QColorGroup::Light, QColor( 140, 140, 140) );

palvolstin.setActive( cgvolstin );
palvolstin.setInactive( cgvolstin );
palvolstin.setDisabled( cgvolstin );

// -------------------------------------------------------------------------- //

QPalette palvolrns;
QColorGroup cgvolrns;
cgvolrns.setColor( QColorGroup::Foreground, QColor( 255, 255, 255) );
cgvolrns.setColor( QColorGroup::Button, QColor( 40, 140, 40) );
cgvolrns.setColor( QColorGroup::Midlight, QColor( 234, 234, 234) );
cgvolrns.setColor( QColorGroup::Mid, QColor( 40, 40, 140) );
cgvolrns.setColor( QColorGroup::Background, QColor( 100, 100, 200) );

cgvolrns.setColor( QColorGroup::Dark, QColor( 20, 20, 140) );
cgvolrns.setColor( QColorGroup::Light, QColor( 140, 140, 140) );

palvolrns.setActive( cgvolrns );
palvolrns.setInactive( cgvolrns );
palvolrns.setDisabled( cgvol );

// -------------------------------------------------------------------------- //

QPalette palvolout;
QColorGroup cgvolout;
cgvolout.setColor ( QColorGroup::Foreground, QColor (255, 255, 255));
cgvolout.setColor ( QColorGroup::Button, QColor (40, 140, 40));
cgvolout.setColor ( QColorGroup::Midlight, QColor (234, 234, 234));
cgvolout.setColor ( QColorGroup::Mid, QColor (140, 40, 40));
cgvolout.setColor ( QColorGroup::Background, QColor (200, 100, 100));

cgvolout.setColor ( QColorGroup::Dark, QColor (140, 20, 20));
cgvolout.setColor ( QColorGroup::Light, QColor (140, 140, 140));

palvolout.setInactive( cgvolout );
palvolout.setActive ( cgvolout );
palvolout.setDisabled( cgvolout );

// -------------------------------------------------------------------------- //

QPalette palbutton;
QColorGroup cgbutton;

cgbutton.setColor (QColorGroup::Text, QColor( 255, 255, 255) );
cgbutton.setColor (QColorGroup::Foreground, QColor( 255, 255, 255) );
cgbutton.setColor (QColorGroup::Button, QColor( 40, 140, 40) );
cgbutton.setColor (QColorGroup::Midlight, QColor( 234, 234, 234) );
cgbutton.setColor (QColorGroup::Mid, QColor( 40, 40, 40) );
cgbutton.setColor (QColorGroup::Background, QColor( 80, 80, 80) );
cgbutton.setColor (QColorGroup::HighlightedText, QColor (255, 255, 255) );
cgbutton.setColor (QColorGroup::Dark, QColor( 20, 240, 20) );
cgbutton.setColor (QColorGroup::Light, QColor( 40, 240, 40) );

palbutton.setActive (cgbutton);
palbutton.setInactive (cgbutton);
palbutton.setDisabled (cgbutton);

// -------------------------------------------------------------------------- //

QPalette helppal;
QColorGroup cgh;
cgh.setColor( QColorGroup::Foreground, QColor( 0, 0, 0) );
cgh.setColor( QColorGroup::Button, QColor( 140, 140, 140) );
cgh.setColor( QColorGroup::Midlight, QColor( 234, 234, 234) );
cgh.setColor( QColorGroup::Dark, QColor( 107, 107, 107) );
cgh.setColor( QColorGroup::Mid, QColor( 1, 24, 1) );
cgh.setColor( QColorGroup::Text, QColor( 220, 220, 220) );
cgh.setColor( QColorGroup::Background, QColor( 255, 255, 255) );
cgh.setColor( QColorGroup::Highlight, QColor( 0, 0, 156) );
helppal.setActive( cgh );
helppal.setInactive( cgh );
helppal.setDisabled( cgh );

// --------------------------------------------------------------------------
//
// Canvas Design Section

QApplication promix (argc, argv);

QWidget* dpromix01 = new QWidget();
dpromix01 -> setGeometry (0, 0, 920, 500);

dpromix01 -> setPalette (QPalette (QColor(80, 80, 80)));
dpromix01 -> setMinimumSize (920, 500);
dpromix01 -> setMaximumSize (920, 500);
dpromix01 -> setBaseSize (920, 500);


QPixmap image0 ((const char**) image0_data);
dpromix01 -> setIcon (image0);

QPixmap image1 ((const char**) image1_data);

QTabWidget* TabWidget = new QTabWidget(dpromix01);
TabWidget -> setGeometry( QRect( 0, 0, 920, 590 ) ); 
TabWidget -> setTabShape( QTabWidget::Triangular );

QWidget* mixertab = new QWidget(TabWidget, "dpromix01");
TabWidget -> insertTab (mixertab, "m i x e r");

///// Slider 1

QGroupBox* GroupBox1 = new QGroupBox (mixertab);
GroupBox1 -> setGeometry ( QRect( x, y, 50, 465 ) ); 
GroupBox1 -> setTitle (" 1");

QLCDNumber* pan_led1 = new QLCDNumber (mixertab);
pan_led1 -> setGeometry (x + 8, 25, 30, 25);
pan_led1 -> setPalette (pal);
pan_led1 -> setNumDigits (3);
pan_led1 -> setSegmentStyle (QLCDNumber::Flat);

QDial* pan_dial1 = new QDial (0, 127, 16, 63, mixertab);
pan_dial1 -> setGeometry (x + 5, 55, 35, 35);
pan_dial1 -> setTracking (1);

QLabel* pan_label1 = new QLabel ("pan", mixertab);
pan_label1 -> setGeometry(x + 5, 90, 35, 15);
pan_label1 -> setAlignment( int( QLabel::AlignCenter ) );

QLabel* vol_label1 = new QLabel ("vol", mixertab);
vol_label1 -> setGeometry(x + 5, 245, 35, 15);
vol_label1 -> setAlignment( int( QLabel::AlignCenter ) );

QPushButton* on1= new QPushButton("on", mixertab);
on1 -> setGeometry (x + 5 ,265 ,35, 20);
on1 -> QPushButton::setToggleButton (TRUE);
on1 -> setFont( QFont( "Helvetica", 10, QFont::Normal ) );
on1 -> setPalette (palbutton);

QSlider* slider1 = new QSlider (0, 127, 10, 0, QSlider::Vertical, mixertab);
slider1 -> setGeometry ( QRect (x + 8, 290, 30, 145)); 
slider1 -> setOrientation (QSlider::Vertical);
slider1 -> setTickmarks (QSlider::Both);
slider1 -> setTickInterval (10);
slider1 -> setPalette (palvol);

QLCDNumber* volume_led1 = new QLCDNumber (mixertab);
volume_led1 -> setGeometry (x + 8, y + 435, 30, 25);
volume_led1 -> setPalette (pal);
volume_led1 -> setNumDigits (3);
volume_led1 -> setSegmentStyle (QLCDNumber::Flat);

///// Slider 2
x = x + 41;

QGroupBox* GroupBox2 = new QGroupBox (mixertab);
GroupBox2 -> setGeometry ( QRect( x, y, 50, 465) );
GroupBox2 -> setTitle (" 2");

QLCDNumber* pan_led2 = new QLCDNumber (mixertab);
pan_led2 -> setGeometry (x + 8, 25, 30, 25);
pan_led2 -> setPalette (pal);
pan_led2 -> setNumDigits (3);
pan_led2-> setSegmentStyle (QLCDNumber::Flat);

QDial* pan_dial2 = new QDial (0, 127, 16, 63, mixertab);
pan_dial2 -> setGeometry (x + 5, 55, 35, 35);
pan_dial2 -> setTracking (1);

QLabel* pan_label2 = new QLabel ("pan", mixertab);
pan_label2 -> setGeometry(x + 5, 90, 35, 15);
pan_label2 -> setAlignment( int( QLabel::AlignCenter ) );

QLabel* vol_label2 = new QLabel ("vol", mixertab);
vol_label2 -> setGeometry(x + 5, 245, 35, 15);
vol_label2 -> setAlignment( int( QLabel::AlignCenter ) );

QSlider* slider2 = new QSlider (0, 127, 10, 0, QSlider::Vertical, mixertab);
slider2 -> setGeometry ( QRect (x + 8, 290, 30, 145));
slider2 -> setOrientation (QSlider::Vertical);
slider2 -> setTickmarks (QSlider::Both);
slider2 -> setTickInterval (10);
slider2 -> setPalette (palvol);

QLCDNumber* volume_led2 = new QLCDNumber (mixertab);
volume_led2 -> setGeometry (x + 8, y + 435, 30, 25);
volume_led2 -> setPalette (pal);
volume_led2 -> setNumDigits (3);
volume_led2 -> setSegmentStyle (QLCDNumber::Flat);

QPushButton* on2 = new QPushButton ("on", mixertab);
on2 -> setGeometry (x + 5 ,265 ,35, 20);
on2 -> QPushButton::setToggleButton (TRUE);
on2 -> setFont (QFont ("Helvetica", 10, QFont::Normal));
on2 -> setPalette (palbutton);

///// Slider 3
x = x + 41;

QGroupBox* GroupBox3 = new QGroupBox (mixertab);
GroupBox3 -> setGeometry ( QRect( x, y, 50, 465) );
GroupBox3 -> setTitle (" 3");

QLCDNumber* pan_led3 = new QLCDNumber (mixertab);
pan_led3 -> setGeometry (x + 8, 25, 30, 25);
pan_led3 -> setPalette (pal);
pan_led3 -> setNumDigits (3);
pan_led3-> setSegmentStyle (QLCDNumber::Flat);

QDial* pan_dial3 = new QDial (0, 127, 16, 63, mixertab);
pan_dial3 -> setGeometry (x + 5, 55, 35, 35);
pan_dial3 -> setTracking (1);

QLabel* pan_label3 = new QLabel ("pan", mixertab);
pan_label3 -> setGeometry(x + 5, 90, 35, 15);
pan_label3 -> setAlignment( int( QLabel::AlignCenter ) );

QLabel* vol_label3 = new QLabel ("vol", mixertab);
vol_label3 -> setGeometry(x + 5, 245, 35, 15);
vol_label3 -> setAlignment( int( QLabel::AlignCenter ) );

QSlider* slider3 = new QSlider (0, 127, 10, 0, QSlider::Vertical, mixertab);
slider3 -> setGeometry ( QRect (x + 8, 290, 30, 145));
slider3 -> setOrientation (QSlider::Vertical);
slider3 -> setTickmarks (QSlider::Both);
slider3 -> setTickInterval (10);
slider3 -> setPalette (palvol);

QLCDNumber* volume_led3 = new QLCDNumber (mixertab);
volume_led3 -> setGeometry (x + 8, y + 435, 30, 25);
volume_led3 -> setPalette (pal);
volume_led3 -> setNumDigits (3);
volume_led3 -> setSegmentStyle (QLCDNumber::Flat);

//setGeometry (x + 5 ,240 ,35, 20);

QPushButton* on3 = new QPushButton("on", mixertab);
on3 -> setGeometry (x + 5, 265 ,35 ,20);
on3 -> QPushButton::setToggleButton (TRUE);
on3 -> setFont( QFont( "Helvetica", 10, QFont::Normal ) );
on3 -> setPalette (palbutton);

///// Slider 4
x = x + 41;

QGroupBox* GroupBox4 = new QGroupBox (mixertab);
GroupBox4 -> setGeometry ( QRect( x, y, 50, 465) );
GroupBox4 -> setTitle (" 4");

QLCDNumber* pan_led4 = new QLCDNumber (mixertab);
pan_led4 -> setGeometry (x + 8, 25, 30, 25);
pan_led4 -> setPalette (pal);
pan_led4 -> setNumDigits (3);
pan_led4-> setSegmentStyle (QLCDNumber::Flat);

QDial* pan_dial4 = new QDial (0, 127, 16, 63, mixertab);
pan_dial4 -> setGeometry (x + 5, 55, 35, 35);
pan_dial4 -> setTracking (1);

QLabel* pan_label4 = new QLabel ("pan", mixertab);
pan_label4 -> setGeometry(x + 5, 90, 35, 15);
pan_label4 -> setAlignment( int( QLabel::AlignCenter ) );

QLabel* vol_label4 = new QLabel ("vol", mixertab);
vol_label4 -> setGeometry(x + 5, 245, 35, 15);
vol_label4 -> setAlignment( int( QLabel::AlignCenter ) );

QSlider* slider4 = new QSlider (0, 127, 10, 0, QSlider::Vertical, mixertab);
slider4 -> setGeometry ( QRect (x + 8, 290, 30, 145));
slider4 -> setOrientation (QSlider::Vertical);
slider4 -> setTickmarks (QSlider::Both);
slider4 -> setTickInterval (10);
slider4 -> setPalette (palvol);

QLCDNumber* volume_led4 = new QLCDNumber (mixertab);
volume_led4 -> setGeometry (x + 8, y + 435, 30, 25);
volume_led4 -> setPalette (pal);
volume_led4 -> setNumDigits (3);
volume_led4 -> setSegmentStyle (QLCDNumber::Flat);

QPushButton* on4 = new QPushButton("on", mixertab);
on4 -> setGeometry (x + 5 ,265 ,35, 20);
on4 -> QPushButton::setToggleButton (TRUE);
on4 -> setFont( QFont( "Helvetica", 10, QFont::Normal ) );
on4 -> setPalette (palbutton);

///// Slider 5
x = x + 41;

QGroupBox* GroupBox5 = new QGroupBox (mixertab);
GroupBox5 -> setGeometry ( QRect( x, y, 50, 465) );
GroupBox5 -> setTitle (" 5");

QLCDNumber* pan_led5 = new QLCDNumber (mixertab);
pan_led5 -> setGeometry (x + 8, 25, 30, 25);
pan_led5 -> setPalette (pal);
pan_led5 -> setNumDigits (3);
pan_led5-> setSegmentStyle (QLCDNumber::Flat);

QDial* pan_dial5 = new QDial (0, 127, 16, 63, mixertab);
pan_dial5 -> setGeometry (x + 5, 55, 35, 35);
pan_dial5 -> setTracking (1);

QLabel* pan_label5 = new QLabel ("pan", mixertab);
pan_label5 -> setGeometry(x + 5, 90, 35, 15);
pan_label5 -> setAlignment( int( QLabel::AlignCenter ) );

QLabel* vol_label5 = new QLabel ("vol", mixertab);
vol_label5 -> setGeometry(x + 5, 245, 35, 15);
vol_label5 -> setAlignment( int( QLabel::AlignCenter ) );

QSlider* slider5 = new QSlider (0, 127, 10, 0, QSlider::Vertical, mixertab);
slider5 -> setGeometry ( QRect (x + 8, 290, 30, 145));
slider5 -> setOrientation (QSlider::Vertical);
slider5 -> setTickmarks (QSlider::Both);
slider5 -> setTickInterval (10);
slider5 -> setPalette (palvol);

QLCDNumber* volume_led5 = new QLCDNumber (mixertab);
volume_led5 -> setGeometry (x + 8, y + 435, 30, 25);
volume_led5 -> setPalette (pal);
volume_led5 -> setNumDigits (3);
volume_led5 -> setSegmentStyle (QLCDNumber::Flat);


QPushButton* on5 = new QPushButton("on", mixertab);
on5 -> setGeometry (x + 5 ,265 ,35, 20);
on5 -> QPushButton::setToggleButton (TRUE);
on5 -> setFont( QFont( "Helvetica", 10, QFont::Normal ) );
on5 -> setPalette (palbutton);

///// Slider 6
x = x + 41;

QGroupBox* GroupBox6 = new QGroupBox (mixertab);
GroupBox6 -> setGeometry ( QRect( x, y, 50, 465) );
GroupBox6 -> setTitle (" 6");

QLCDNumber* pan_led6 = new QLCDNumber (mixertab);
pan_led6 -> setGeometry (x + 8, 25, 30, 25);
pan_led6 -> setPalette (pal);
pan_led6 -> setNumDigits (3);
pan_led6 -> setSegmentStyle (QLCDNumber::Flat);

QLabel* pan_label6 = new QLabel ("pan", mixertab);
pan_label6 -> setGeometry(x + 5, 90, 35, 15);
pan_label6 -> setAlignment( int( QLabel::AlignCenter ) );

QDial* pan_dial6 = new QDial (0, 127, 16, 63, mixertab);
pan_dial6 -> setGeometry (x + 5, 55, 35, 35);
pan_dial6 -> setTracking (1);

QLabel* vol_label6 = new QLabel ("vol", mixertab);
vol_label6 -> setGeometry(x + 5, 245, 35, 15);
vol_label6 -> setAlignment( int( QLabel::AlignCenter ) );

QSlider* slider6 = new QSlider (0, 127, 10, 0, QSlider::Vertical, mixertab);
slider6 -> setGeometry ( QRect (x + 8, 290, 30, 145));
slider6 -> setOrientation (QSlider::Vertical);
slider6 -> setTickmarks (QSlider::Both);
slider6 -> setTickInterval (10);
slider6 -> setPalette (palvol);

QLCDNumber* volume_led6 = new QLCDNumber (mixertab);
volume_led6 -> setGeometry (x + 8, y + 435, 30, 25);
volume_led6 -> setPalette (pal);
volume_led6 -> setNumDigits (3);
volume_led6 -> setSegmentStyle (QLCDNumber::Flat);


QPushButton* on6 = new QPushButton("on", mixertab);
on6 -> setGeometry (x + 5 ,265 ,35, 20);
on6 -> QPushButton::setToggleButton (TRUE);
on6 -> setFont( QFont( "Helvetica", 10, QFont::Normal ) );
on6 -> setPalette (palbutton);

///// Slider 7
x = x + 41;

QGroupBox* GroupBox7 = new QGroupBox (mixertab);
GroupBox7 -> setGeometry ( QRect( x, y, 50, 465) );
GroupBox7 -> setTitle (" 7");

QLCDNumber* pan_led7 = new QLCDNumber (mixertab);
pan_led7 -> setGeometry (x + 8, 25, 30, 25);
pan_led7 -> setPalette (pal);
pan_led7 -> setNumDigits (3);
pan_led7-> setSegmentStyle (QLCDNumber::Flat);

QLabel* pan_label7 = new QLabel ("pan", mixertab);
pan_label7 -> setGeometry(x + 5, 90, 35, 15);
pan_label7 -> setAlignment( int( QLabel::AlignCenter ) );

QDial* pan_dial7 = new QDial (0, 127, 16, 63, mixertab);
pan_dial7 -> setGeometry (x + 5, 55, 35, 35);
pan_dial7 -> setTracking (1);

QLabel* vol_label7 = new QLabel ("vol", mixertab);
vol_label7 -> setGeometry(x + 5, 245, 35, 15);
vol_label7 -> setAlignment( int( QLabel::AlignCenter ) );

QSlider* slider7 = new QSlider (0, 127, 10, 0, QSlider::Vertical, mixertab);
slider7 -> setGeometry ( QRect (x + 8, 290, 30, 145));
slider7 -> setOrientation (QSlider::Vertical);
slider7 -> setTickmarks (QSlider::Both);
slider7 -> setTickInterval (10);
slider7 -> setPalette (palvol);

QLCDNumber* volume_led7 = new QLCDNumber (mixertab);
volume_led7 -> setGeometry (x + 8, y + 435, 30, 25);
volume_led7 -> setPalette (pal);
volume_led7 -> setNumDigits (3);
volume_led7 -> setSegmentStyle (QLCDNumber::Flat);


QPushButton* on7 = new QPushButton("on", mixertab);
on7 -> setGeometry (x + 5 ,265 ,35, 20);
on7 -> QPushButton::setToggleButton (TRUE);
on7 -> setFont( QFont( "Helvetica", 10, QFont::Normal ) );
on7 -> setPalette (palbutton);

///// Slider 8
x = x + 41;

QGroupBox* GroupBox8 = new QGroupBox (mixertab);
GroupBox8 -> setGeometry ( QRect( x, y, 50, 465) );
GroupBox8 -> setTitle (" 8");

QLCDNumber* pan_led8 = new QLCDNumber (mixertab);
pan_led8 -> setGeometry (x + 8, 25, 30, 25);
pan_led8 -> setPalette (pal);
pan_led8 -> setNumDigits (3);
pan_led8-> setSegmentStyle (QLCDNumber::Flat);

QLabel* pan_label8 = new QLabel ("pan", mixertab);
pan_label8 -> setGeometry(x + 5, 90, 35, 15);
pan_label8 -> setAlignment( int( QLabel::AlignCenter ) );

QDial* pan_dial8 = new QDial (0, 127, 16, 63, mixertab);
pan_dial8 -> setGeometry (x + 5, 55, 35, 35);
pan_dial8 -> setTracking (1);

QLabel* vol_label8 = new QLabel ("vol", mixertab);
vol_label8 -> setGeometry(x + 5, 245, 35, 15);
vol_label8 -> setAlignment( int( QLabel::AlignCenter ) );

QSlider* slider8 = new QSlider (0, 127, 10, 0, QSlider::Vertical, mixertab);
slider8 -> setGeometry ( QRect (x + 8, 290, 30, 145));
slider8 -> setOrientation (QSlider::Vertical);
slider8 -> setTickmarks (QSlider::Both);
slider8 -> setTickInterval (10);
slider8 -> setPalette (palvol);

QLCDNumber* volume_led8 = new QLCDNumber (mixertab);
volume_led8 -> setGeometry (x + 8, y + 435, 30, 25);
volume_led8 -> setPalette (pal);
volume_led8 -> setNumDigits (3);
volume_led8 -> setSegmentStyle (QLCDNumber::Flat);


QPushButton* on8 = new QPushButton("on", mixertab);
on8 -> setGeometry (x + 5 ,265 ,35, 20);
on8 -> QPushButton::setToggleButton (TRUE);
on8 -> setFont( QFont( "Helvetica", 10, QFont::Normal ) );
on8 -> setPalette (palbutton);

///// Slider 9
x = x + 41;

QGroupBox* GroupBox9 = new QGroupBox (mixertab);
GroupBox9 -> setGeometry ( QRect( x, y, 50, 465) );
GroupBox9 -> setTitle (" 9");

QLCDNumber* pan_led9 = new QLCDNumber (mixertab);
pan_led9 -> setGeometry (x + 8, 25, 30, 25);
pan_led9 -> setPalette (pal);
pan_led9 -> setNumDigits (3);
pan_led9-> setSegmentStyle (QLCDNumber::Flat);

QLabel* pan_label9 = new QLabel ("pan", mixertab);
pan_label9 -> setGeometry(x + 5, 90, 35, 15);
pan_label9 -> setAlignment( int( QLabel::AlignCenter ) );

QDial* pan_dial9 = new QDial (0, 127, 16, 63, mixertab);
pan_dial9 -> setGeometry (x + 5, 55, 35, 35);
pan_dial9 -> setTracking (1);

QLabel* vol_label9 = new QLabel ("vol", mixertab);
vol_label9 -> setGeometry(x + 5, 245, 35, 15);
vol_label9 -> setAlignment( int( QLabel::AlignCenter ) );

QSlider* slider9 = new QSlider (0, 127, 10, 0, QSlider::Vertical, mixertab);
slider9 -> setGeometry ( QRect (x + 8, 290, 30, 145));
slider9 -> setOrientation (QSlider::Vertical);
slider9 -> setTickmarks (QSlider::Both);
slider9 -> setTickInterval (10);
slider9 -> setPalette (palvol);

QLCDNumber* volume_led9 = new QLCDNumber (mixertab);
volume_led9 -> setGeometry (x + 8, y + 435, 30, 25);
volume_led9 -> setPalette (pal);
volume_led9 -> setNumDigits (3);
volume_led9 -> setSegmentStyle (QLCDNumber::Flat);


QPushButton* on9 = new QPushButton("on", mixertab);
on9 -> setGeometry (x + 5 ,265 ,35, 20);
on9 -> QPushButton::setToggleButton (TRUE);
on9 -> setFont( QFont( "Helvetica", 10, QFont::Normal ) );
on9 -> setPalette (palbutton);

///// Slider 10
x = x + 41;

QGroupBox* GroupBox10 = new QGroupBox (mixertab);
GroupBox10 -> setGeometry ( QRect( x, y, 50, 465) );
GroupBox10 -> setTitle ("10");

QLCDNumber* pan_led10 = new QLCDNumber (mixertab);
pan_led10 -> setGeometry (x + 8, 25, 30, 25);
pan_led10 -> setPalette (pal);
pan_led10 -> setNumDigits (3);
pan_led10 -> setSegmentStyle (QLCDNumber::Flat);

QLabel* pan_label10 = new QLabel ("pan", mixertab);
pan_label10 -> setGeometry(x + 5, 90, 35, 15);
pan_label10 -> setAlignment( int( QLabel::AlignCenter ) );

QDial* pan_dial10 = new QDial (0, 127, 16, 63, mixertab);
pan_dial10 -> setGeometry (x + 5, 55, 35, 35);
pan_dial10 -> setTracking (1);

QLabel* vol_label10 = new QLabel ("vol", mixertab);
vol_label10 -> setGeometry(x + 5, 245, 35, 15);
vol_label10 -> setAlignment( int( QLabel::AlignCenter ) );

QSlider* slider10 = new QSlider (0, 127, 10, 0, QSlider::Vertical, mixertab);
slider10 -> setGeometry ( QRect (x + 8, 290, 30, 145));
slider10 -> setOrientation (QSlider::Vertical);
slider10 -> setTickmarks (QSlider::Both);
slider10 -> setTickInterval (10);
slider10 -> setPalette (palvol);

QLCDNumber* volume_led10 = new QLCDNumber (mixertab);
volume_led10 -> setGeometry (x + 8, y + 435, 30, 25);
volume_led10 -> setPalette (pal);
volume_led10 -> setNumDigits (3);
volume_led10 -> setSegmentStyle (QLCDNumber::Flat);


QPushButton* on10 = new QPushButton("on", mixertab);
on10 -> setGeometry (x + 5 ,265 ,35, 20);
on10 -> QPushButton::setToggleButton (TRUE);
on10 -> setFont( QFont( "Helvetica", 10, QFont::Normal ) );
on10 -> setPalette (palbutton);

///// Slider 11
x = x + 41;

QGroupBox* GroupBox11 = new QGroupBox (mixertab);
GroupBox11 -> setGeometry ( QRect( x, y, 50, 465) );
GroupBox11 -> setTitle ("11");

QLCDNumber* pan_led11 = new QLCDNumber (mixertab);
pan_led11 -> setGeometry (x + 8, 25, 30, 25);
pan_led11 -> setPalette (pal);
pan_led11 -> setNumDigits (3);
pan_led11 -> setSegmentStyle (QLCDNumber::Flat);

QLabel* pan_label11 = new QLabel ("pan", mixertab);
pan_label11 -> setGeometry(x + 5, 90, 35, 15);
pan_label11 -> setAlignment( int( QLabel::AlignCenter ) );

QDial* pan_dial11 = new QDial (0, 127, 16, 63, mixertab);
pan_dial11 -> setGeometry (x + 5, 55, 35, 35);
pan_dial11 -> setTracking (1);

QLabel* vol_label11 = new QLabel ("vol", mixertab);
vol_label11 -> setGeometry(x + 5, 245, 35, 15);
vol_label11 -> setAlignment( int( QLabel::AlignCenter ) );

QSlider* slider11 = new QSlider (0, 127, 10, 0, QSlider::Vertical, mixertab);
slider11 -> setGeometry ( QRect (x + 8, 290, 30, 145));
slider11 -> setOrientation (QSlider::Vertical);
slider11 -> setTickmarks (QSlider::Both);
slider11 -> setTickInterval (10);
slider11 -> setPalette (palvol);

QLCDNumber* volume_led11 = new QLCDNumber (mixertab);
volume_led11 -> setGeometry (x + 8, y + 435, 30, 25);
volume_led11 -> setPalette (pal);
volume_led11 -> setNumDigits (3);
volume_led11 -> setSegmentStyle (QLCDNumber::Flat);


QPushButton* on11 = new QPushButton("on", mixertab);
on11 -> setGeometry (x + 5 ,265 ,35, 20);
on11 -> QPushButton::setToggleButton (TRUE);
on11 -> setFont( QFont( "Helvetica", 10, QFont::Normal ) );
on11 -> setPalette (palbutton);

///// Slider 12
x = x + 41;

QGroupBox* GroupBox12 = new QGroupBox (mixertab);
GroupBox12 -> setGeometry ( QRect( x, y, 50, 465) );
GroupBox12 -> setTitle ("12");

QLCDNumber* pan_led12 = new QLCDNumber (mixertab);
pan_led12 -> setGeometry (x + 8, 25, 30, 25);
pan_led12 -> setPalette (pal);
pan_led12 -> setNumDigits (3);
pan_led12 -> setSegmentStyle (QLCDNumber::Flat);

QDial* pan_dial12 = new QDial (0, 127, 16, 63, mixertab);
pan_dial12 -> setGeometry (x + 5, 55, 35, 35);
pan_dial12 -> setTracking (1);

QLabel* pan_label12 = new QLabel ("pan", mixertab);
pan_label12 -> setGeometry(x + 5, 90, 35, 15);
pan_label12 -> setAlignment( int( QLabel::AlignCenter ) );

QLabel* vol_label12 = new QLabel ("vol", mixertab);
vol_label12 -> setGeometry(x + 5, 245, 35, 15);
vol_label12 -> setAlignment( int( QLabel::AlignCenter ) );

QSlider* slider12 = new QSlider (0, 127, 10, 0, QSlider::Vertical, mixertab);
slider12 -> setGeometry ( QRect (x + 8, 290, 30, 145));
slider12 -> setOrientation (QSlider::Vertical);
slider12 -> setTickmarks (QSlider::Both);
slider12 -> setTickInterval (10);
slider12 -> setPalette (palvol);

QLCDNumber* volume_led12 = new QLCDNumber (mixertab);
volume_led12 -> setGeometry (x + 8, y + 435, 30, 25);
volume_led12 -> setPalette (pal);
volume_led12 -> setNumDigits (3);
volume_led12 -> setSegmentStyle (QLCDNumber::Flat);


QPushButton* on12 = new QPushButton("on", mixertab);
on12 -> setGeometry (x + 5 ,265 ,35, 20);
on12 -> QPushButton::setToggleButton (TRUE);
on12 -> setFont( QFont( "Helvetica", 10, QFont::Normal ) );
on12 -> setPalette (palbutton);

///// Slider 13
x = x + 41;

QGroupBox* GroupBox13 = new QGroupBox (mixertab);
GroupBox13 -> setGeometry ( QRect( x, y, 50, 465) );
GroupBox13 -> setTitle ("13");

QLCDNumber* pan_led13 = new QLCDNumber (mixertab);
pan_led13 -> setGeometry (x + 8, 25, 30, 25);
pan_led13 -> setPalette (pal);
pan_led13 -> setNumDigits (3);
pan_led13 -> setSegmentStyle (QLCDNumber::Flat);

QDial* pan_dial13 = new QDial (0, 127, 16, 63, mixertab);
pan_dial13 -> setGeometry (x + 5, 55, 35, 35);
pan_dial13 -> setTracking (1);

QLabel* pan_label13 = new QLabel ("pan", mixertab);
pan_label13 -> setGeometry(x + 5, 90, 35, 15);
pan_label13 -> setAlignment( int( QLabel::AlignCenter ) );

QLabel* vol_label13 = new QLabel ("vol", mixertab);
vol_label13 -> setGeometry(x + 5, 245, 35, 15);
vol_label13 -> setAlignment( int( QLabel::AlignCenter ) );

QSlider* slider13 = new QSlider (0, 127, 10, 0, QSlider::Vertical, mixertab);
slider13 -> setGeometry ( QRect (x + 8, 290, 30, 145));
slider13 -> setOrientation (QSlider::Vertical);
slider13 -> setTickmarks (QSlider::Both);
slider13 -> setTickInterval (10);

QLCDNumber* volume_led13 = new QLCDNumber (mixertab);
volume_led13 -> setGeometry (x + 8, y + 435, 30, 25);
volume_led13 -> setPalette (pal);
volume_led13 -> setNumDigits (3);
volume_led13 -> setSegmentStyle (QLCDNumber::Flat);
slider13 -> setPalette (palvol);

QPushButton* on13 = new QPushButton("on", mixertab);
on13 -> setGeometry (x + 5 ,265 ,35, 20);
on13 -> QPushButton::setToggleButton (TRUE);
on13 -> setFont( QFont( "Helvetica", 10, QFont::Normal ) );
on13 -> setPalette (palbutton);

///// Slider 14
x = x + 41;

QGroupBox* GroupBox14 = new QGroupBox (mixertab);
GroupBox14 -> setGeometry ( QRect( x, y, 50, 465) );
GroupBox14 -> setTitle ("14");

QLCDNumber* pan_led14 = new QLCDNumber (mixertab);
pan_led14 -> setGeometry (x + 8, 25, 30, 25);
pan_led14 -> setPalette (pal);
pan_led14 -> setNumDigits (3);
pan_led14 -> setSegmentStyle (QLCDNumber::Flat);

QDial* pan_dial14 = new QDial (0, 127, 16, 63, mixertab);
pan_dial14 -> setGeometry (x + 5, 55, 35, 35);
pan_dial14 -> setTracking (1);

QLabel* pan_label14 = new QLabel ("pan", mixertab);
pan_label14 -> setGeometry(x + 5, 90, 35, 15);
pan_label14 -> setAlignment( int( QLabel::AlignCenter ) );

QLabel* vol_label14 = new QLabel ("vol", mixertab);
vol_label14 -> setGeometry(x + 5, 245, 35, 15);
vol_label14 -> setAlignment( int( QLabel::AlignCenter ) );

QSlider* slider14 = new QSlider (0, 127, 10, 0, QSlider::Vertical, mixertab);
slider14 -> setGeometry ( QRect (x + 8, 290, 30, 145));
slider14 -> setOrientation (QSlider::Vertical);
slider14 -> setTickmarks (QSlider::Both);
slider14 -> setTickInterval (10);
slider14 -> setPalette (palvol);

QLCDNumber* volume_led14 = new QLCDNumber (mixertab);
volume_led14 -> setGeometry (x + 8, y + 435, 30, 25);
volume_led14 -> setPalette (pal);
volume_led14 -> setNumDigits (3);
volume_led14 -> setSegmentStyle (QLCDNumber::Flat);

QPushButton* on14 = new QPushButton("on", mixertab);
on14 -> setGeometry (x + 5 ,265 ,35, 20);
on14 -> QPushButton::setToggleButton (TRUE);
on14 -> setFont( QFont( "Helvetica", 10, QFont::Normal ) );
on14 -> setPalette (palbutton);

///// Slider 15
x = x + 41;

QGroupBox* GroupBox15 = new QGroupBox (mixertab);
GroupBox15 -> setGeometry ( QRect( x, y, 50, 465) );
GroupBox15 -> setTitle ("15");

QLCDNumber* pan_led15 = new QLCDNumber (mixertab);
pan_led15 -> setGeometry (x + 8, 25, 30, 25);
pan_led15 -> setPalette (pal);
pan_led15 -> setNumDigits (3);
pan_led15 -> setSegmentStyle (QLCDNumber::Flat);

QDial* pan_dial15 = new QDial (0, 127, 16, 63, mixertab);
pan_dial15 -> setGeometry (x + 5, 55, 35, 35);
pan_dial15 -> setTracking (1);

QLabel* pan_label15 = new QLabel ("pan", mixertab);
pan_label15 -> setGeometry(x + 5, 90, 35, 15);
pan_label15 -> setAlignment( int( QLabel::AlignCenter ) );

QLabel* vol_label15 = new QLabel ("vol", mixertab);
vol_label15 -> setGeometry(x + 5, 245, 35, 15);
vol_label15 -> setAlignment( int( QLabel::AlignCenter ) );

QSlider* slider15 = new QSlider (0, 127, 10, 0, QSlider::Vertical, mixertab);
slider15 -> setGeometry ( QRect (x + 8, 290, 30, 145));
slider15 -> setOrientation (QSlider::Vertical);
slider15 -> setTickmarks (QSlider::Both);
slider15 -> setTickInterval (10);
slider15 -> setPalette (palvol);

QLCDNumber* volume_led15 = new QLCDNumber (mixertab);
volume_led15 -> setGeometry (x + 8, y + 435, 30, 25);
volume_led15 -> setPalette (pal);
volume_led15 -> setNumDigits (3);
volume_led15 -> setSegmentStyle (QLCDNumber::Flat);


QPushButton* on15 = new QPushButton("on", mixertab);
on15 -> setGeometry (x + 5 ,265 ,35, 20);
on15 -> QPushButton::setToggleButton (TRUE);
on15 -> setFont( QFont( "Helvetica", 10, QFont::Normal ) );
on15 -> setPalette (palbutton);

///// Slider 16
x = x + 41;

QGroupBox* GroupBox16 = new QGroupBox (mixertab);
GroupBox16 -> setGeometry ( QRect( x, y, 50, 465) );
GroupBox16 -> setTitle ("16");

QLCDNumber* pan_led16 = new QLCDNumber (mixertab);
pan_led16 -> setGeometry (x + 8, 25, 30, 25);
pan_led16 -> setPalette (pal);
pan_led16 -> setNumDigits (3);
pan_led16 -> setSegmentStyle (QLCDNumber::Flat);

QDial* pan_dial16 = new QDial (0, 127, 16, 63, mixertab);
pan_dial16 -> setGeometry (x + 5, 55, 35, 35);
pan_dial16 -> setTracking (1);

QLabel* pan_label16 = new QLabel ("pan", mixertab);
pan_label16 -> setGeometry(x + 5, 90, 35, 15);
pan_label16 -> setAlignment( int( QLabel::AlignCenter ) );

QLabel* vol_label16 = new QLabel ("vol", mixertab);
vol_label16 -> setGeometry(x + 5, 245, 35, 15);
vol_label16 -> setAlignment( int( QLabel::AlignCenter ) );

QSlider* slider16 = new QSlider (0, 127, 10, 0, QSlider::Vertical, mixertab);
slider16 -> setGeometry ( QRect (x + 8, 290, 30, 145));
slider16 -> setOrientation (QSlider::Vertical);
slider16 -> setTickmarks (QSlider::Both);
slider16 -> setTickInterval (10);
slider16 -> setPalette (palvol);

QLCDNumber* volume_led16 = new QLCDNumber (mixertab);
volume_led16 -> setGeometry (x + 8, y + 435, 30, 25);
volume_led16 -> setPalette (pal);
volume_led16 -> setNumDigits (3);
volume_led16 -> setSegmentStyle (QLCDNumber::Flat);

QPushButton* on16 = new QPushButton("on", mixertab);
on16 -> setGeometry (x + 5 ,265 ,35, 20);
on16 -> QPushButton::setToggleButton (TRUE);
on16 -> setFont( QFont( "Helvetica", 10, QFont::Normal ) );
on16 -> setPalette (palbutton);


///// Slider 17
x = x + 41;

QGroupBox* GroupBoxstin = new QGroupBox (mixertab);
GroupBoxstin -> setGeometry ( QRect( x, y, 50, 465) );
GroupBoxstin -> setPalette (palvolstin);
GroupBoxstin -> setFont( QFont( "Helvetica", 10, QFont::Normal ) );
GroupBoxstin -> setTitle ("st in");

QLCDNumber* pan_ledstinl = new QLCDNumber (mixertab);
pan_ledstinl -> setGeometry (x + 6, 25, 30, 25);
pan_ledstinl -> setPalette (pal);
pan_ledstinl -> setNumDigits (3);
pan_ledstinl -> setSegmentStyle (QLCDNumber::Flat);

QDial* pan_dialstinl = new QDial (0, 127, 16, 63, mixertab);
pan_dialstinl -> setGeometry (x + 5, 55, 35, 35);
pan_dialstinl -> setTracking (1);
pan_dialstinl -> setPalette (paldialstin);
//pan_dialstinl -> setPalette (QPalette (QColor(50, 50, 50)));

QLabel* pan_label17 = new QLabel ("left", mixertab);
pan_label17 -> setGeometry(x + 5, 90, 35, 15);
pan_label17 -> setAlignment( int( QLabel::AlignCenter ) );
pan_label17 -> setPalette (QPalette (QColor(50, 50, 50)));

QLCDNumber* pan_ledstinr = new QLCDNumber (mixertab);
pan_ledstinr -> setGeometry (x + 6, 125, 30, 25);
pan_ledstinr -> setPalette (pal);
pan_ledstinr -> setNumDigits (3);
pan_ledstinr -> setSegmentStyle (QLCDNumber::Flat);

QDial* pan_dialstinr = new QDial (0, 127, 16, 63, mixertab);
pan_dialstinr -> setGeometry (x + 5, 155, 35, 35);
pan_dialstinr -> setTracking (1);
pan_dialstinr -> setPalette (paldialstin);
//pan_dialstinr -> setPalette (QPalette (QColor(50, 50, 50)));

QLabel* pan_label17a = new QLabel ("right", mixertab);
pan_label17a -> setGeometry(x + 5, 190, 35, 15);
pan_label17a -> setAlignment( int( QLabel::AlignCenter ) );
pan_label17a -> setPalette (QPalette (QColor(50, 50, 50)));

QLabel* vol_label17b = new QLabel ("vol", mixertab);
vol_label17b -> setGeometry(x + 5, 245, 35, 15);
vol_label17b -> setAlignment( int( QLabel::AlignCenter ) );
vol_label17b -> setPalette (QPalette (QColor(50, 50, 50)));

QSlider* sliderstin = new QSlider (0, 127, 10, 0, QSlider::Vertical, GroupBoxstin);
sliderstin -> setGeometry ( QRect (8, 285, 30, 145));
sliderstin -> setOrientation (QSlider::Vertical);
sliderstin -> setTickmarks (QSlider::Both);
sliderstin -> setTickInterval (10);
sliderstin -> setPalette (palvolstin);

QLCDNumber* volume_ledstin = new QLCDNumber (mixertab);
volume_ledstin -> setGeometry (x + 8, y + 435, 30, 25);
volume_ledstin -> setPalette (pal);
volume_ledstin -> setNumDigits (3);
volume_ledstin -> setSegmentStyle (QLCDNumber::Flat);

QPushButton* onstin = new QPushButton("on", mixertab);
onstin -> setGeometry (x + 5 ,265 ,35, 20);
onstin -> QPushButton::setToggleButton (TRUE);
onstin -> setFont( QFont( "Helvetica", 10, QFont::Normal ) );
onstin -> setPalette (palbutton);

///// send 1 return
x = x + 41;

QGroupBox* GroupBoxrns1 = new QGroupBox (mixertab);
GroupBoxrns1 -> setGeometry ( QRect( x, y, 50, 465) );
GroupBoxrns1 -> setPalette (palvolrns);
GroupBoxrns1 -> setFont( QFont( "Helvetica", 10, QFont::Normal ) );
GroupBoxrns1 -> setTitle ("ret 1");

QLCDNumber* pan_ledsend1l = new QLCDNumber (mixertab);
pan_ledsend1l -> setGeometry (x + 8, 25, 30, 25);
pan_ledsend1l -> setPalette (pal);
pan_ledsend1l -> setNumDigits (3);
pan_ledsend1l -> setSegmentStyle (QLCDNumber::Flat);

QDial* pan_dialsend1l = new QDial (0, 127, 16, 63, mixertab);
pan_dialsend1l -> setGeometry (x + 5, 55, 35, 35);
pan_dialsend1l -> setTracking (1);
//pan_dialsend1l -> setPalette (QPalette (QColor(100, 100, 200)));
pan_dialsend1l -> setPalette (paldialrns);

QLabel* pan_labelsend1l = new QLabel ("left", mixertab);
pan_labelsend1l -> setGeometry(x + 5, 90, 35, 15);
pan_labelsend1l -> setAlignment( int( QLabel::AlignCenter ) );
pan_labelsend1l -> setPalette (QPalette (QColor(100, 100, 200)));

QLCDNumber* pan_ledsend1r = new QLCDNumber (mixertab);
pan_ledsend1r -> setGeometry (x + 6, 125, 30, 25);
pan_ledsend1r -> setPalette (pal);
pan_ledsend1r -> setNumDigits (3);
pan_ledsend1r -> setSegmentStyle (QLCDNumber::Flat);

QDial* pan_dialsend1r = new QDial (0, 127, 16, 63, mixertab);
pan_dialsend1r -> setGeometry (x + 5, 155, 35, 35);
pan_dialsend1r -> setTracking (1);
pan_dialsend1r -> setPalette (paldialrns);
//pan_dialsend1r -> setPalette (QPalette (QColor(100, 100, 200)));

QLabel* pan_labelsend1r = new QLabel ("right", mixertab);
pan_labelsend1r -> setGeometry(x + 5, 190, 35, 15);
pan_labelsend1r -> setAlignment( int( QLabel::AlignCenter ) );
pan_labelsend1r -> setPalette (QPalette (QColor(100, 100, 200)));

QLabel* vol_labelsend1 = new QLabel ("vol", mixertab);
vol_labelsend1 -> setGeometry(x + 5, 245, 35, 15);
vol_labelsend1 -> setAlignment( int( QLabel::AlignCenter ) );
vol_labelsend1 -> setPalette (QPalette (QColor(100, 100, 200)));

QSlider* slidersend1 = new QSlider (0, 127, 10, 0, QSlider::Vertical, GroupBoxrns1);
slidersend1 -> setGeometry ( QRect (8, 285, 30, 145));
slidersend1 -> setOrientation (QSlider::Vertical);
slidersend1 -> setTickmarks (QSlider::Both);
//slidersend1 -> setPalette (QPalette (QColor(100, 100, 200)));
slidersend1 -> setPalette (palvolrns);
slidersend1 -> setTickInterval (10);

QLCDNumber* volume_ledsend1 = new QLCDNumber (mixertab);
volume_ledsend1 -> setGeometry (x + 8, y + 435, 30, 25);
volume_ledsend1 -> setPalette (pal);
volume_ledsend1 -> setNumDigits (3);
volume_ledsend1 -> setSegmentStyle (QLCDNumber::Flat);

QPushButton* onsend1 = new QPushButton("on", mixertab);
onsend1 -> setGeometry (x + 5 ,265 ,35, 20);
onsend1 -> QPushButton::setToggleButton (TRUE);
onsend1 -> setFont( QFont( "Helvetica", 10, QFont::Normal ) );
onsend1 -> setPalette (palbutton);

///// send 2 return
x = x + 41;

QGroupBox* GroupBoxrns2 = new QGroupBox (mixertab);
GroupBoxrns2 -> setGeometry ( QRect( x, y, 50, 465) );
GroupBoxrns2 -> setPalette (palvolrns);
GroupBoxrns2 -> setFont( QFont( "Helvetica", 10, QFont::Normal ) );
GroupBoxrns2 -> setTitle ("ret 2");

QLCDNumber* pan_ledsend2l = new QLCDNumber (mixertab);
pan_ledsend2l -> setGeometry (x + 8, 25, 30, 25);
pan_ledsend2l -> setPalette (pal);
pan_ledsend2l -> setNumDigits (3);
pan_ledsend2l -> setSegmentStyle (QLCDNumber::Flat);

QDial* pan_dialsend2l = new QDial (0, 127, 16, 63, mixertab);
pan_dialsend2l -> setGeometry (x + 5, 55, 35, 35);
pan_dialsend2l -> setTracking (1);
//pan_dialsend2l -> setPalette (QPalette (QColor(100, 100, 200)));
pan_dialsend2l -> setPalette (paldialrns);

QLabel* pan_labelsend2l = new QLabel ("left", mixertab);
pan_labelsend2l -> setGeometry(x + 5, 90, 35, 15);
pan_labelsend2l -> setAlignment( int( QLabel::AlignCenter ) );
pan_labelsend2l -> setPalette (QPalette (QColor(100, 100, 200)));

QLCDNumber* pan_ledsend2r = new QLCDNumber (mixertab);
pan_ledsend2r -> setGeometry (x + 6, 125, 30, 25);
pan_ledsend2r -> setPalette (pal);
pan_ledsend2r -> setNumDigits (3);
pan_ledsend2r -> setSegmentStyle (QLCDNumber::Flat);

QDial* pan_dialsend2r = new QDial (0, 127, 16, 63, mixertab);
pan_dialsend2r -> setGeometry (x + 5, 155, 35, 35);
pan_dialsend2r -> setTracking (1);
pan_dialsend2r -> setPalette (paldialrns);

QLabel* pan_labelsend2r = new QLabel ("right", mixertab);
pan_labelsend2r -> setGeometry(x + 5, 190, 35, 15);
pan_labelsend2r -> setAlignment( int( QLabel::AlignCenter ) );
pan_labelsend2r -> setPalette (QPalette (QColor(100, 100, 200)));

QLabel* vol_labelsend2r = new QLabel ("vol", mixertab);
vol_labelsend2r -> setGeometry(x + 5, 245, 35, 15);
vol_labelsend2r -> setAlignment( int( QLabel::AlignCenter ) );
vol_labelsend2r -> setPalette (QPalette (QColor(100, 100, 200)));

QSlider* slidersend2 = new QSlider (0, 127, 10, 0, QSlider::Vertical, GroupBoxrns2);
slidersend2 -> setGeometry ( QRect (8, 285, 30, 145));
slidersend2 -> setOrientation (QSlider::Vertical);
slidersend2 -> setTickmarks (QSlider::Both);
slidersend2 -> setPalette (palvolrns);
slidersend2 -> setTickInterval (10);

QLCDNumber* volume_ledsend2 = new QLCDNumber (mixertab);
volume_ledsend2 -> setGeometry (x + 8, y + 435, 30, 25);
volume_ledsend2 -> setPalette (pal);
volume_ledsend2 -> setNumDigits (3);
volume_ledsend2 -> setSegmentStyle (QLCDNumber::Flat);

QPushButton* onsend2= new QPushButton("on", mixertab);
onsend2 -> setGeometry (x + 5 ,265 ,35, 20);
onsend2 -> QPushButton::setToggleButton (TRUE);
onsend2 -> setFont( QFont( "Helvetica", 10, QFont::Normal ) );
onsend2 -> setPalette (palbutton);

///// send 3 return
x = x + 41;

QGroupBox* GroupBoxrns3 = new QGroupBox (mixertab);
GroupBoxrns3 -> setGeometry ( QRect( x, y, 50, 465) );
GroupBoxrns3 -> setPalette (palvolrns);
GroupBoxrns3 -> setFont( QFont( "Helvetica", 10, QFont::Normal ) );
GroupBoxrns3 -> setTitle ("send 3");

QLCDNumber* pan_ledsend3 = new QLCDNumber (mixertab);
pan_ledsend3 -> setGeometry (x + 8, 25, 30, 25);
pan_ledsend3 -> setPalette (pal);
pan_ledsend3 -> setNumDigits (3);
pan_ledsend3 -> setSegmentStyle (QLCDNumber::Flat);

QDial* pan_dialsend3 = new QDial (0, 127, 16, 63, mixertab);
pan_dialsend3 -> setGeometry (x + 5, 55, 35, 35);
pan_dialsend3 -> setTracking (1);
pan_dialsend3 -> setPalette (paldialrns);

QLabel* pan_labelsend3l = new QLabel ("pan", mixertab);
pan_labelsend3l -> setGeometry(x + 5, 90, 35, 15);
pan_labelsend3l -> setAlignment( int( QLabel::AlignCenter ) );
pan_labelsend3l -> setPalette (QPalette (QColor(100, 100, 200)));

QLabel* vol_labelsend3r = new QLabel ("vol", mixertab);
vol_labelsend3r -> setGeometry (x + 5, 245, 35, 15);
vol_labelsend3r -> setAlignment ( int( QLabel::AlignCenter ) );
vol_labelsend3r -> setPalette (QPalette (QColor(100, 100, 200)));

QSlider* slidersend3 = new QSlider (0, 127, 10, 0, QSlider::Vertical, GroupBoxrns3);
slidersend3 -> setGeometry ( QRect (8, 285, 30, 145));
slidersend3 -> setOrientation (QSlider::Vertical);
slidersend3 -> setTickmarks (QSlider::Both);
slidersend3 -> setPalette (palvolrns);
slidersend3 -> setTickInterval (10);

QLCDNumber* volume_ledsend3 = new QLCDNumber (mixertab);
volume_ledsend3 -> setGeometry (x + 8, y + 435, 30, 25);
volume_ledsend3 -> setPalette (pal);
volume_ledsend3 -> setNumDigits (3);
volume_ledsend3 -> setSegmentStyle (QLCDNumber::Flat);

QPushButton* onsend3= new QPushButton("on", mixertab);
onsend3 -> setGeometry (x + 5 ,265 ,35, 20);
onsend3 -> QPushButton::setToggleButton (TRUE);
onsend3 -> setFont ( QFont( "Helvetica", 10, QFont::Normal ) );
onsend3 -> setPalette (palbutton);


///// Slider 18 - send 4 return
x = x + 41;

QGroupBox* GroupBoxrns4 = new QGroupBox (mixertab);
GroupBoxrns4 -> setGeometry ( QRect( x, y, 50, 465) );
GroupBoxrns4 -> setPalette (palvolrns);
GroupBoxrns4 -> setFont( QFont( "Helvetica", 10, QFont::Normal ) );
GroupBoxrns4 -> setTitle ("send 4");

QLCDNumber* pan_ledsend4 = new QLCDNumber (mixertab);
pan_ledsend4 -> setGeometry (x + 8, 25, 30, 25);
pan_ledsend4 -> setPalette (pal);
pan_ledsend4 -> setNumDigits (3);
pan_ledsend4 -> setSegmentStyle (QLCDNumber::Flat);

QDial* pan_dialsend4 = new QDial (0, 127, 16, 63, mixertab);
pan_dialsend4 -> setGeometry (x + 5, 55, 35, 35);
pan_dialsend4 -> setTracking (1);
pan_dialsend4 -> setPalette (QPalette (QColor(100, 100, 200)));
pan_dialsend4 -> setPalette (paldialrns);

QLabel* pan_labelsend4l = new QLabel ("pan", mixertab);
pan_labelsend4l -> setGeometry(x + 5, 90, 35, 15);
pan_labelsend4l -> setAlignment( int( QLabel::AlignCenter ) );
pan_labelsend4l -> setPalette (QPalette (QColor(100, 100, 200)));

QLabel* vol_labelsend4r = new QLabel ("vol", mixertab);
vol_labelsend4r -> setGeometry (x + 5, 245, 35, 15);
vol_labelsend4r -> setAlignment ( int( QLabel::AlignCenter ) );
vol_labelsend4r -> setPalette (QPalette (QColor(100, 100, 200)));

QSlider* slidersend4 = new QSlider (0, 127, 10, 0, QSlider::Vertical, GroupBoxrns4);
slidersend4 -> setGeometry ( QRect (8, 285, 30, 145));
slidersend4 -> setOrientation (QSlider::Vertical);
slidersend4 -> setTickmarks (QSlider::Both);
slidersend4 -> setPalette (palvolrns);
slidersend4 -> setTickInterval (10);

QLCDNumber* volume_ledsend4 = new QLCDNumber (mixertab);
volume_ledsend4 -> setGeometry (x + 8, y + 435, 30, 25);
volume_ledsend4 -> setPalette (pal);
volume_ledsend4 -> setNumDigits (3);
volume_ledsend4 -> setSegmentStyle (QLCDNumber::Flat);

QPushButton* onsend4 = new QPushButton("on", mixertab);
onsend4 -> setGeometry (x + 5 ,265 ,35, 20);
onsend4 -> QPushButton::setToggleButton (TRUE);
onsend4 -> setFont ( QFont( "Helvetica", 10, QFont::Normal ) );
onsend4 -> setPalette (palbutton);

///// Slider 19
x = x + 41;

QGroupBox* GroupBoxout = new QGroupBox (mixertab);
GroupBoxout -> setGeometry ( QRect( x, y, 45, 465) );
GroupBoxout -> setPalette (palvolout);
GroupBoxout -> setFont( QFont( "Helvetica", 10, QFont::Normal ) );
GroupBoxout -> setTitle ("st out");

QLCDNumber* pan_ledstout = new QLCDNumber (mixertab);
pan_ledstout -> setGeometry (x + 8, 25, 30, 25);
pan_ledstout -> setPalette (pal);
pan_ledstout -> setNumDigits (3);
pan_ledstout -> setSegmentStyle (QLCDNumber::Flat);

QDial* pan_dialstout = new QDial (0, 127, 16, 63, mixertab);
pan_dialstout -> setGeometry (x + 5, 55, 35, 35);
pan_dialstout -> setTracking (1);
pan_dialstout -> setPalette (paldialout);


QLabel* pan_label19 = new QLabel ("bal", mixertab);
pan_label19 -> setGeometry(x + 5, 90, 35, 15);
pan_label19 -> setAlignment( int( QLabel::AlignCenter ) );
pan_label19 -> setPalette (QPalette (QColor(200, 100, 100)));

QLabel* vol_label19b = new QLabel ("vol", mixertab);
vol_label19b -> setGeometry(x + 5, 245, 35, 15);
vol_label19b -> setAlignment( int( QLabel::AlignCenter ) );
vol_label19b -> setPalette (QPalette (QColor(200, 100, 100)));

QLabel* vol_label19 = new QLabel ("vol", mixertab);
vol_label19 -> setGeometry(x + 5, 245, 35, 15);
vol_label19 -> setAlignment( int( QLabel::AlignCenter ) );
vol_label19 -> setPalette (QPalette (QColor(200, 100, 100)));

QSlider* sliderstout = new QSlider (0, 127, 10, 0, QSlider::Vertical, GroupBoxout);
sliderstout -> setGeometry ( QRect (8, 285, 30, 145));
sliderstout -> setOrientation (QSlider::Vertical);
sliderstout -> setTickmarks (QSlider::Both);
sliderstout -> setTickInterval (10);
sliderstout -> setPalette (palvolout);

QLCDNumber* volume_ledstout = new QLCDNumber (mixertab);
volume_ledstout -> setGeometry (x + 8, y + 435, 30, 25);
volume_ledstout -> setPalette (pal);
volume_ledstout -> setNumDigits (3);
volume_ledstout -> setSegmentStyle (QLCDNumber::Flat);

QPushButton* onstout = new QPushButton("on", mixertab);
onstout -> setGeometry (x + 5 ,265 ,35, 20);
onstout -> setFont( QFont( "Helvetica", 10, QFont::Normal ) );
onstout -> QPushButton::setToggleButton (TRUE);
onstout -> setPalette (palbutton);


QFrame* Frame3 = new QFrame(mixertab);
Frame3->setGeometry( QRect( 10, 105, 370, 130 ) );
Frame3->setFrameShape( QFrame::StyledPanel );
Frame3->setFrameShadow( QFrame::Plain );
Frame3->setLineWidth( 0 );

QLabel* PixmapLabel1 = new QLabel(mixertab);
PixmapLabel1->setGeometry( QRect( 10, 140, 300, 60 ) ); 
PixmapLabel1->setPixmap( image1 );
PixmapLabel1->setScaledContents( TRUE );

QFrame* ConfigFrame = new QFrame (mixertab);
ConfigFrame -> setGeometry (QRect (331, 110, 329, 130));
ConfigFrame -> setFrameShape (QFrame::StyledPanel);
ConfigFrame -> setFrameShadow (QFrame::Raised);
ConfigFrame -> setLineWidth (1);
ConfigFrame -> setPalette (QPalette (QColor (40, 40, 40)));

QDial* midi_dial = new QDial (1, 16, 4, 63, ConfigFrame);
midi_dial -> setGeometry (5, 5, 85, 70);
midi_dial -> setTracking (1);
midi_dial -> setNotchesVisible (TRUE);

QLCDNumber* midi_led = new QLCDNumber (ConfigFrame);
midi_led -> setGeometry (5, 80, 85, 25);
midi_led -> setPalette (pal);
midi_led -> setNumDigits (2);
midi_led -> setSegmentStyle (QLCDNumber::Flat);

QLabel* chan_label = new QLabel ("midi chan", ConfigFrame);
chan_label -> setGeometry (5, 110, 85, 15);
chan_label -> setAlignment (int (QLabel::AlignCenter));
chan_label -> setPalette (QPalette (QColor(200, 50, 50)));

QLineEdit* Node1ID = new QLineEdit (ConfigFrame);
Node1ID -> setGeometry (QRect (110, 5, 30, 20)); 
Node1ID -> setFont (QFont ("Helvetica", 17, QFont::Normal));
Node1ID -> setText ("ff");
Node1ID -> setPalette (paldata);
Node1ID -> setMaxLength (2);

QLineEdit* Node2ID = new QLineEdit (ConfigFrame);
Node2ID -> setGeometry (QRect (140, 5, 30, 20)); 
Node2ID -> setFont (QFont ("Helvetica", 17, QFont::Normal));
Node2ID -> setText ("ff");
Node2ID -> setPalette (paldata);
Node2ID -> setMaxLength (2);

QLineEdit* Node3ID = new QLineEdit(ConfigFrame);
Node3ID -> setGeometry (QRect (170, 5, 30, 20)); 
Node3ID -> setFont( QFont( "Helvetica", 17, QFont::Normal));
Node3ID -> setText ("ff");
Node3ID -> setPalette (paldata);
Node3ID -> setMaxLength (2);

QLineEdit* Node4ID = new QLineEdit (ConfigFrame);
Node4ID -> setGeometry (QRect (200, 5, 30, 20));
Node4ID -> setFont (QFont ("Helvetica", 17, QFont::Normal));
Node4ID -> setText ("ff");
Node4ID -> setPalette (paldata);
Node4ID -> setMaxLength (2);

QLabel* node_label = new QLabel ("Node ID", ConfigFrame);
node_label -> setGeometry (110, 25, 120, 15);
node_label -> setAlignment (int (QLabel::AlignCenter));
node_label -> setPalette (QPalette (QColor(200, 50, 50)));

QLineEdit* NodeName = new QLineEdit (ConfigFrame);
NodeName -> setGeometry (QRect (110, 50, 120, 20));
NodeName -> setFont (QFont ("Helvetica", 14, QFont::Normal));
NodeName -> setText ("dpromix01");
NodeName -> setPalette (paldata);
NodeName -> setMaxLength (20);

QLabel* node_name = new QLabel ("Node Name", ConfigFrame);
node_name -> setGeometry (110, 70, 120, 15);
node_name -> setAlignment (int (QLabel::AlignCenter));
node_name -> setPalette (QPalette (QColor(200, 50, 50)));

QPushButton* broadcastbutton = new QPushButton("All Node Broadcast", ConfigFrame);
broadcastbutton -> setGeometry (110, 100, 120, 25);
broadcastbutton -> setPalette (QPalette (QColor(100, 100, 100)));
broadcastbutton -> QPushButton::setToggleButton (TRUE);
broadcastbutton -> setFont( QFont( "Helvetica", 10, QFont::Normal ) );

QGroupBox* quitbox = new QGroupBox (ConfigFrame);
quitbox -> setGeometry (QRect (250, 5, 80, 30)); 
quitbox -> setPalette (QPalette (QColor(250, 50, 50)));

QPushButton* quit = new QPushButton("quit", quitbox);
quit -> setGeometry (8 ,5 ,65, 20);
quit -> setFont( QFont( "Helvetica", 10, QFont::Normal ) );

QGroupBox* restorebox = new QGroupBox (ConfigFrame);
restorebox -> setGeometry (QRect (250, 50, 80, 30)); 
restorebox -> setPalette (QPalette (QColor(200, 200, 50)));

QPushButton* restore = new QPushButton ("restore", restorebox);
restore -> setGeometry (8 ,5 ,65, 20);
restore -> setFont (QFont("Helvetica", 10, QFont::Normal));

QGroupBox* savebox = new QGroupBox (ConfigFrame);
savebox -> setGeometry (QRect (250, 95, 80, 30 ) ); 
savebox -> setPalette (QPalette (QColor(50, 50, 200)));

QPushButton* save = new QPushButton("save", savebox);
save -> setGeometry (8 ,5 ,65, 20);
save -> setFont( QFont( "Helvetica", 10, QFont::Normal ) );


////////////////////////////////////////

QWidget* effectstab = new QWidget(TabWidget, "dmixer");
TabWidget -> insertTab (effectstab, "e f f e c t s");

QTabWidget* scenesTabWidget = new QTabWidget(effectstab);
scenesTabWidget -> setGeometry( QRect( 0, 5, 915, 500 ) ); 

QWidget* send1tab = new QWidget(TabWidget);
scenesTabWidget -> insertTab (send1tab, "s e n d  1  ");

QGroupBox* send1box = new QGroupBox (send1tab);
send1box -> setGeometry ( QRect( 0, 0, 915, 230 ) ); 

QLabel* send1_label = new QLabel ("send 1", send1box);
send1_label -> setGeometry (810, 5, 95, 25);
send1_label -> setAlignment ( int ( QLabel::AlignRight ) );
send1_label -> setPalette (QPalette (QColor (200, 100, 100)));
send1_label -> setFont ( QFont ( "Helvetica", 26, QFont::Normal ) );


QListBox* send1patchestable = new QListBox (send1box);
send1patchestable -> setGeometry ( QRect( 45, 40, 200, 150 ) ); 
send1patchestable -> insertItem ("Reverb Hall 1", 0);
send1patchestable -> insertItem ("Reverb Hall 2", 1);

send1patchestable -> insertItem ("effect 1", -1);
send1patchestable -> insertItem ("effect 2", -1);
send1patchestable -> insertItem ("effect 3", -1);
send1patchestable -> insertItem ("effect 4", -1);
send1patchestable -> insertItem ("effect 1", -1);
send1patchestable -> insertItem ("effect 2", -1);
send1patchestable -> insertItem ("effect 3", -1);
send1patchestable -> insertItem ("effect 4", -1);
send1patchestable -> insertItem ("effect 1", -1);
send1patchestable -> insertItem ("effect 2", -1);
send1patchestable -> insertItem ("effect 3", -1);
send1patchestable -> insertItem ("effect 4", -1);
send1patchestable -> insertItem ("effect 1", -1);
send1patchestable -> insertItem ("effect 2", -1);
send1patchestable -> insertItem ("effect 3", -1);
send1patchestable -> insertItem ("effect 4", -1);
send1patchestable -> insertItem ("effect 1", -1);
send1patchestable -> insertItem ("effect 2", -1);
send1patchestable -> insertItem ("effect 3", -1);
send1patchestable -> insertItem ("effect 4", -1);
send1patchestable -> insertItem ("effect 1", -1);
send1patchestable -> insertItem ("effect 2", -1);
send1patchestable -> insertItem ("effect 3", -1);
send1patchestable -> insertItem ("effect 4", -1);
send1patchestable -> insertItem ("effect 1", -1);
send1patchestable -> insertItem ("effect 2", -1);
send1patchestable -> insertItem ("effect 3", -1);
send1patchestable -> insertItem ("effect 4", -1);
send1patchestable -> insertItem ("effect 1", -1);
send1patchestable -> insertItem ("effect 2", -1);
send1patchestable -> insertItem ("effect 3", -1);
send1patchestable -> insertItem ("effect 4", -1);
send1patchestable -> insertItem ("effect 1", -1);
send1patchestable -> insertItem ("effect 2", -1);
send1patchestable -> insertItem ("effect 3", -1);
send1patchestable -> insertItem ("effect 4", -1);

QGroupBox* send1conf = new QGroupBox (send1tab);
send1conf -> setGeometry ( QRect( 260, 40, 650, 150 ) ); 
send1conf -> setPalette (QPalette (QColor(100, 100, 200)));

x = 3;
y = 0;

QGroupBox* send1sliders1 = new QGroupBox (send1tab);
send1sliders1 -> setGeometry ( QRect( 0, 240, 790, 200 ) ); 

///// Slider 1

QGroupBox* GroupBox1send1 = new QGroupBox (send1sliders1);
GroupBox1send1 -> setGeometry ( QRect( 0, y, 50, 200 ) ); 
GroupBox1send1 -> setTitle (" 1");

QSlider* slider1send1 = new QSlider (0, 127, 10, 0, QSlider::Vertical, send1sliders1);
slider1send1 -> setGeometry ( QRect (8, 20, 30, 145)); 
slider1send1 -> setOrientation (QSlider::Vertical);
slider1send1 -> setTickmarks (QSlider::Both);
slider1send1 -> setTickInterval (10);

QLCDNumber* volume_led1send1 = new QLCDNumber (send1sliders1);
volume_led1send1 -> setGeometry (8, y + 170, 30, 25);
volume_led1send1 -> setPalette (pal);
volume_led1send1 -> setNumDigits (3);
volume_led1send1 -> setSegmentStyle (QLCDNumber::Flat);

///// Slider 2
x = x + 41;

QGroupBox* GroupBox2send1 = new QGroupBox (send1sliders1);
GroupBox2send1 -> setGeometry ( QRect( x, y, 50, 200 ) ); 
GroupBox2send1 -> setTitle (" 2");

QSlider* slider2send1 = new QSlider (0, 127, 10, 0, QSlider::Vertical, send1sliders1);
slider2send1 -> setGeometry ( QRect (x + 8, 20, 30, 145)); 
slider2send1 -> setOrientation (QSlider::Vertical);
slider2send1 -> setTickmarks (QSlider::Both);
slider2send1 -> setTickInterval (10);

QLCDNumber* volume_led2send1 = new QLCDNumber (send1sliders1);
volume_led2send1 -> setGeometry (x + 8, y + 170, 30, 25);
volume_led2send1 -> setPalette (pal);
volume_led2send1 -> setNumDigits (3);
volume_led2send1 -> setSegmentStyle (QLCDNumber::Flat);

///// Slider 3
x = x + 41;

QGroupBox* GroupBox3send1 = new QGroupBox (send1sliders1);
GroupBox3send1 -> setGeometry ( QRect( x, y, 50, 200 ) ); 
GroupBox3send1 -> setTitle (" 3");

QSlider* slider3send1 = new QSlider (0, 127, 10, 0, QSlider::Vertical, send1sliders1);
slider3send1 -> setGeometry ( QRect (x + 8, 20, 30, 145)); 
slider3send1 -> setOrientation (QSlider::Vertical);
slider3send1 -> setTickmarks (QSlider::Both);
slider3send1 -> setTickInterval (10);

QLCDNumber* volume_led3send1 = new QLCDNumber (send1sliders1);
volume_led3send1 -> setGeometry (x + 8, y + 170, 30, 25);
volume_led3send1 -> setPalette (pal);
volume_led3send1 -> setNumDigits (3);
volume_led3send1 -> setSegmentStyle (QLCDNumber::Flat);

///// Slider 4
x = x + 41;

QGroupBox* GroupBox4send1 = new QGroupBox (send1sliders1);
GroupBox4send1 -> setGeometry ( QRect( x, y, 50, 200 ) ); 
GroupBox4send1 -> setTitle (" 4");

QSlider* slider4send1 = new QSlider (0, 127, 10, 0, QSlider::Vertical, send1sliders1);
slider4send1 -> setGeometry ( QRect (x + 8, 20, 30, 145)); 
slider4send1 -> setOrientation (QSlider::Vertical);
slider4send1 -> setTickmarks (QSlider::Both);
slider4send1 -> setTickInterval (10);

QLCDNumber* volume_led4send1 = new QLCDNumber (send1sliders1);
volume_led4send1 -> setGeometry (x + 8, y + 170, 30, 25);
volume_led4send1 -> setPalette (pal);
volume_led4send1 -> setNumDigits (3);
volume_led4send1 -> setSegmentStyle (QLCDNumber::Flat);

///// Slider 5
x = x + 41;

QGroupBox* GroupBox5send1 = new QGroupBox (send1sliders1);
GroupBox5send1 -> setGeometry ( QRect( x, y, 50, 200 ) ); 
GroupBox5send1 -> setTitle (" 5");

QSlider* slider5send1 = new QSlider (0, 127, 10, 0, QSlider::Vertical, send1sliders1);
slider5send1 -> setGeometry ( QRect (x + 8, 20, 30, 145)); 
slider5send1 -> setOrientation (QSlider::Vertical);
slider5send1 -> setTickmarks (QSlider::Both);
slider5send1 -> setTickInterval (10);

QLCDNumber* volume_led5send1 = new QLCDNumber (send1sliders1);
volume_led5send1 -> setGeometry (x + 8, y + 170, 30, 25);
volume_led5send1 -> setPalette (pal);
volume_led5send1 -> setNumDigits (3);
volume_led5send1 -> setSegmentStyle (QLCDNumber::Flat);

///// Slider 6
x = x + 41;

QGroupBox* GroupBox6send1 = new QGroupBox (send1sliders1);
GroupBox6send1 -> setGeometry ( QRect( x, y, 50, 200 ) ); 
GroupBox6send1 -> setTitle (" 6");

QSlider* slider6send1 = new QSlider (0, 127, 10, 0, QSlider::Vertical, send1sliders1);
slider6send1 -> setGeometry ( QRect (x + 8, 20, 30, 145)); 
slider6send1 -> setOrientation (QSlider::Vertical);
slider6send1 -> setTickmarks (QSlider::Both);
slider6send1 -> setTickInterval (10);

QLCDNumber* volume_led6send1 = new QLCDNumber (send1sliders1);
volume_led6send1 -> setGeometry (x + 8, y + 170, 30, 25);
volume_led6send1 -> setPalette (pal);
volume_led6send1 -> setNumDigits (3);
volume_led6send1 -> setSegmentStyle (QLCDNumber::Flat);

///// Slider 7
x = x + 41;

QGroupBox* GroupBox7send1 = new QGroupBox (send1sliders1);
GroupBox7send1 -> setGeometry ( QRect( x, y, 50, 200 ) ); 
GroupBox7send1 -> setTitle (" 7");

QSlider* slider7send1 = new QSlider (0, 127, 10, 0, QSlider::Vertical, send1sliders1);
slider7send1 -> setGeometry ( QRect (x + 8, 20, 30, 145)); 
slider7send1 -> setOrientation (QSlider::Vertical);
slider7send1 -> setTickmarks (QSlider::Both);
slider7send1 -> setTickInterval (10);

QLCDNumber* volume_led7send1 = new QLCDNumber (send1sliders1);
volume_led7send1 -> setGeometry (x + 8, y + 170, 30, 25);
volume_led7send1 -> setPalette (pal);
volume_led7send1 -> setNumDigits (3);
volume_led7send1 -> setSegmentStyle (QLCDNumber::Flat);

///// Slider 8
x = x + 41;

QGroupBox* GroupBox8send1 = new QGroupBox (send1sliders1);
GroupBox8send1 -> setGeometry ( QRect( x, y, 50, 200 ) ); 
GroupBox8send1 -> setTitle (" 8");

QSlider* slider8send1 = new QSlider (0, 127, 10, 0, QSlider::Vertical, send1sliders1);
slider8send1 -> setGeometry ( QRect (x + 8, 20, 30, 145)); 
slider8send1 -> setOrientation (QSlider::Vertical);
slider8send1 -> setTickmarks (QSlider::Both);
slider8send1 -> setTickInterval (10);

QLCDNumber* volume_led8send1 = new QLCDNumber (send1sliders1);
volume_led8send1 -> setGeometry (x + 8, y + 170, 30, 25);
volume_led8send1 -> setPalette (pal);
volume_led8send1 -> setNumDigits (3);
volume_led8send1 -> setSegmentStyle (QLCDNumber::Flat);

///// Slider 9
x = x + 41;

QGroupBox* GroupBox9send1 = new QGroupBox (send1sliders1);
GroupBox9send1 -> setGeometry ( QRect( x, y, 50, 200 ) ); 
GroupBox9send1 -> setTitle (" 9");

QSlider* slider9send1 = new QSlider (0, 127, 10, 0, QSlider::Vertical, send1sliders1);
slider9send1 -> setGeometry ( QRect (x + 8, 20, 30, 145)); 
slider9send1 -> setOrientation (QSlider::Vertical);
slider9send1 -> setTickmarks (QSlider::Both);
slider9send1 -> setTickInterval (10);

QLCDNumber* volume_led9send1 = new QLCDNumber (send1sliders1);
volume_led9send1 -> setGeometry (x + 8, y + 170, 30, 25);
volume_led9send1 -> setPalette (pal);
volume_led9send1 -> setNumDigits (3);
volume_led9send1 -> setSegmentStyle (QLCDNumber::Flat);

///// Slider 10
x = x + 41;

QGroupBox* GroupBox10send1 = new QGroupBox (send1sliders1);
GroupBox10send1 -> setGeometry ( QRect( x, y, 50, 200 ) ); 
GroupBox10send1 -> setTitle ("10");

QSlider* slider10send1 = new QSlider (0, 127, 10, 0, QSlider::Vertical, send1sliders1);
slider10send1 -> setGeometry ( QRect (x + 8, 20, 30, 145)); 
slider10send1 -> setOrientation (QSlider::Vertical);
slider10send1 -> setTickmarks (QSlider::Both);
slider10send1 -> setTickInterval (10);

QLCDNumber* volume_led10send1 = new QLCDNumber (send1sliders1);
volume_led10send1 -> setGeometry (x + 8, y + 170, 30, 25);
volume_led10send1 -> setPalette (pal);
volume_led10send1 -> setNumDigits (3);
volume_led10send1 -> setSegmentStyle (QLCDNumber::Flat);

///// Slider 11
x = x + 41;

QGroupBox* GroupBox11send1 = new QGroupBox (send1sliders1);
GroupBox11send1 -> setGeometry ( QRect( x, y, 50, 200 ) ); 
GroupBox11send1 -> setTitle ("11");

QSlider* slider11send1 = new QSlider (0, 127, 10, 0, QSlider::Vertical, send1sliders1);
slider11send1 -> setGeometry ( QRect (x + 8, 20, 30, 145)); 
slider11send1 -> setOrientation (QSlider::Vertical);
slider11send1 -> setTickmarks (QSlider::Both);
slider11send1 -> setTickInterval (10);

QLCDNumber* volume_led11send1 = new QLCDNumber (send1sliders1);
volume_led11send1 -> setGeometry (x + 8, y + 170, 30, 25);
volume_led11send1 -> setPalette (pal);
volume_led11send1 -> setNumDigits (3);
volume_led11send1 -> setSegmentStyle (QLCDNumber::Flat);

///// Slider 12
x = x + 41;

QGroupBox* GroupBox12send1 = new QGroupBox (send1sliders1);
GroupBox12send1 -> setGeometry ( QRect( x, y, 50, 200 ) ); 
GroupBox12send1 -> setTitle ("12");

QSlider* slider12send1 = new QSlider (0, 127, 10, 0, QSlider::Vertical, send1sliders1);
slider12send1 -> setGeometry ( QRect (x + 8, 20, 30, 145)); 
slider12send1 -> setOrientation (QSlider::Vertical);
slider12send1 -> setTickmarks (QSlider::Both);
slider12send1 -> setTickInterval (10);

QLCDNumber* volume_led12send1 = new QLCDNumber (send1sliders1);
volume_led12send1 -> setGeometry (x + 8, y + 170, 30, 25);
volume_led12send1 -> setPalette (pal);
volume_led12send1 -> setNumDigits (3);
volume_led12send1 -> setSegmentStyle (QLCDNumber::Flat);

///// Slider 13
x = x + 41;

QGroupBox* GroupBox13send1 = new QGroupBox (send1sliders1);
GroupBox13send1 -> setGeometry ( QRect( x, y, 50, 200 ) ); 
GroupBox13send1 -> setTitle ("13");

QSlider* slider13send1 = new QSlider (0, 127, 10, 0, QSlider::Vertical, send1sliders1);
slider13send1 -> setGeometry ( QRect (x + 8, 20, 30, 145)); 
slider13send1 -> setOrientation (QSlider::Vertical);
slider13send1 -> setTickmarks (QSlider::Both);
slider13send1 -> setTickInterval (10);

QLCDNumber* volume_led13send1 = new QLCDNumber (send1sliders1);
volume_led13send1 -> setGeometry (x + 8, y + 170, 30, 25);
volume_led13send1 -> setPalette (pal);
volume_led13send1 -> setNumDigits (3);
volume_led13send1 -> setSegmentStyle (QLCDNumber::Flat);

///// Slider 14
x = x + 41;

QGroupBox* GroupBox14send1 = new QGroupBox (send1sliders1);
GroupBox14send1 -> setGeometry ( QRect( x, y, 50, 200 ) ); 
GroupBox14send1 -> setTitle ("14");

QSlider* slider14send1 = new QSlider (0, 127, 10, 0, QSlider::Vertical, send1sliders1);
slider14send1 -> setGeometry ( QRect (x + 8, 20, 30, 145)); 
slider14send1 -> setOrientation (QSlider::Vertical);
slider14send1 -> setTickmarks (QSlider::Both);
slider14send1 -> setTickInterval (10);

QLCDNumber* volume_led14send1 = new QLCDNumber (send1sliders1);
volume_led14send1 -> setGeometry (x + 8, y + 170, 30, 25);
volume_led14send1 -> setPalette (pal);
volume_led14send1 -> setNumDigits (3);
volume_led14send1 -> setSegmentStyle (QLCDNumber::Flat);

///// Slider 15
x = x + 41;

QGroupBox* GroupBox15send1 = new QGroupBox (send1sliders1);
GroupBox15send1 -> setGeometry ( QRect( x, y, 50, 200 ) ); 
GroupBox15send1 -> setTitle ("15");

QSlider* slider15send1 = new QSlider (0, 127, 10, 0, QSlider::Vertical, send1sliders1);
slider15send1 -> setGeometry ( QRect (x + 8, 20, 30, 145)); 
slider15send1 -> setOrientation (QSlider::Vertical);
slider15send1 -> setTickmarks (QSlider::Both);
slider15send1 -> setTickInterval (10);

QLCDNumber* volume_led15send1 = new QLCDNumber (send1sliders1);
volume_led15send1 -> setGeometry (x + 8, y + 170, 30, 25);
volume_led15send1 -> setPalette (pal);
volume_led15send1 -> setNumDigits (3);
volume_led15send1 -> setSegmentStyle (QLCDNumber::Flat);

///// Slider 16
x = x + 41;

QGroupBox* GroupBox16send1 = new QGroupBox (send1sliders1);
GroupBox16send1 -> setGeometry ( QRect( x, y, 50, 200 ) ); 
GroupBox16send1 -> setTitle ("16");

QSlider* slider16send1 = new QSlider (0, 127, 10, 0, QSlider::Vertical, send1sliders1);
slider16send1 -> setGeometry ( QRect (x + 8, 20, 30, 145)); 
slider16send1 -> setOrientation (QSlider::Vertical);
slider16send1 -> setTickmarks (QSlider::Both);
slider16send1 -> setTickInterval (10);

QLCDNumber* volume_led16send1 = new QLCDNumber (send1sliders1);
volume_led16send1 -> setGeometry (x + 8, y + 170, 30, 25);
volume_led16send1 -> setPalette (pal);
volume_led16send1 -> setNumDigits (3);
volume_led16send1 -> setSegmentStyle (QLCDNumber::Flat);

///// Slider 17
x = x + 41;

QGroupBox* GroupBox17send1 = new QGroupBox (send1sliders1);
GroupBox17send1 -> setGeometry ( QRect( x, y, 50, 200 ) ); 
GroupBox17send1 -> setTitle ("st in");
GroupBox17send1 -> setPalette (palvolstin);

QSlider* slider17send1 = new QSlider (0, 127, 10, 0, QSlider::Vertical, send1sliders1);
slider17send1 -> setGeometry ( QRect (x + 8, 20, 30, 145)); 
slider17send1 -> setOrientation (QSlider::Vertical);
slider17send1 -> setTickmarks (QSlider::Both);
slider17send1 -> setTickInterval (10);
slider17send1 -> setPalette (palvolstin);

QLCDNumber* volume_led17send1 = new QLCDNumber (send1sliders1);
volume_led17send1 -> setGeometry (x + 8, y + 170, 30, 25);
volume_led17send1 -> setPalette (pal);
volume_led17send1 -> setNumDigits (3);
volume_led17send1 -> setSegmentStyle (QLCDNumber::Flat);

///// Slider 18
x = x + 41;

QGroupBox* GroupBox18send1 = new QGroupBox (send1sliders1);
GroupBox18send1 -> setGeometry ( QRect( x, y, 50, 200 ) ); 
GroupBox18send1 -> setTitle ("r & s");
GroupBox18send1 -> setPalette (palvolrns);

QSlider* slider18send1 = new QSlider (0, 127, 10, 0, QSlider::Vertical, send1sliders1);
slider18send1 -> setGeometry ( QRect (x + 8, 20, 30, 145)); 
slider18send1 -> setOrientation (QSlider::Vertical);
slider18send1 -> setTickmarks (QSlider::Both);
slider18send1 -> setTickInterval (10);
slider18send1 -> setPalette (palvolrns);

QLCDNumber* volume_led18send1 = new QLCDNumber (send1sliders1);
volume_led18send1 -> setGeometry (x + 8, y + 170, 30, 25);
volume_led18send1 -> setPalette (pal);
volume_led18send1 -> setNumDigits (3);
volume_led18send1 -> setSegmentStyle (QLCDNumber::Flat);

///// Slider 19
x = x + 41;

QGroupBox* GroupBox19send1 = new QGroupBox (send1sliders1);
GroupBox19send1 -> setGeometry ( QRect( x, y, 45, 200 ) ); 
GroupBox19send1 -> setPalette (palvolout);
GroupBox19send1 -> setTitle ("st out");

QSlider* slider19send1 = new QSlider (0, 127, 10, 0, QSlider::Vertical, send1sliders1);
slider19send1 -> setGeometry ( QRect (x + 8, 20, 30, 145)); 
slider19send1 -> setOrientation (QSlider::Vertical);
slider19send1 -> setTickmarks (QSlider::Both);
slider19send1 -> setTickInterval (10);
slider19send1 -> setPalette (palvolout);

QLCDNumber* volume_led19send1 = new QLCDNumber (send1sliders1);
volume_led19send1 -> setGeometry (x + 8, y + 170, 30, 25);
volume_led19send1 -> setPalette (pal);
volume_led19send1 -> setNumDigits (3);
volume_led19send1 -> setSegmentStyle (QLCDNumber::Flat);


QGroupBox* send1ppbox = new QGroupBox (send1tab);
send1ppbox -> setGeometry ( QRect( 800, 240, 110, 200 ) ); 
send1ppbox -> setPalette (QPalette (QColor(200, 200, 100)));
send1ppbox -> setTitle ("send to");

QButtonGroup* send1ppgroup = new QButtonGroup (send1tab);
send1ppgroup -> setExclusive (TRUE);
send1ppgroup -> setGeometry (QRect (0,0,0,0));

QPushButton* send1pre = new QPushButton("send 1 pre", send1ppbox);
send1pre -> setGeometry (10, 50, 90, 40);
send1pre -> QPushButton::setToggleButton (TRUE);
send1pre -> setFont ( QFont( "Helvetica", 10, QFont::Normal ) );

send1ppgroup -> insert (send1pre);

QPushButton* send1post = new QPushButton("send 1 post", send1ppbox);
send1post -> setGeometry (10, 130, 90, 40);
send1post -> QPushButton::setToggleButton (TRUE);
send1post -> setFont ( QFont( "Helvetica", 10, QFont::Normal ) );
//send1post -> setPalette (palvol);
send1ppgroup -> insert (send1post);

////////////////////////////////////////////////////////


QWidget* send2tab = new QWidget(TabWidget);
scenesTabWidget -> insertTab (send2tab, "s e n d  2");

QGroupBox* send2box = new QGroupBox (send2tab);
send2box -> setGeometry ( QRect( 0, 0, 915, 230 ) ); 

QLabel* send2_label = new QLabel ("send 2", send2box);
send2_label -> setGeometry (810, 5, 95, 25);
send2_label -> setAlignment( int( QLabel::AlignRight ) );
send2_label -> setPalette (QPalette (QColor(100, 200, 200)));
send2_label -> setFont( QFont( "Helvetica", 26, QFont::Normal ) );


QListBox* send2patchestable = new QListBox (send2box);
send2patchestable -> setGeometry ( QRect( 45, 40, 200, 150 ) ); 

send2patchestable -> insertItem ("Reverb Hall 1", 0);
send2patchestable -> insertItem ("Reverb Hall 2", 1);
send2patchestable -> insertItem ("effect 3", 2);
send2patchestable -> insertItem ("effect 4", 3);
send2patchestable -> insertItem ("effect 1", 4);
send2patchestable -> insertItem ("effect 2", 5);
send2patchestable -> insertItem ("effect 3", 6);
send2patchestable -> insertItem ("effect 4", 7);
send2patchestable -> insertItem ("effect 2", 8);
send2patchestable -> insertItem ("effect 3", 9);
send2patchestable -> insertItem ("effect 4", -1);
send2patchestable -> insertItem ("effect 1", -1);
send2patchestable -> insertItem ("effect 2", -1);
send2patchestable -> insertItem ("effect 3", -1);
send2patchestable -> insertItem ("effect 4", -1);
send2patchestable -> insertItem ("effect 1", -1);
send2patchestable -> insertItem ("effect 2", -1);
send2patchestable -> insertItem ("effect 3", -1);
send2patchestable -> insertItem ("effect 4", -1);
send2patchestable -> insertItem ("effect 1", -1);
send2patchestable -> insertItem ("effect 2", -1);
send2patchestable -> insertItem ("effect 1", -1);
send2patchestable -> insertItem ("effect 2", -1);
send2patchestable -> insertItem ("effect 3", -1);
send2patchestable -> insertItem ("effect 4", -1);
send2patchestable -> insertItem ("effect 3", -1);
send2patchestable -> insertItem ("effect 4", -1);

QGroupBox* send2conf = new QGroupBox (send2tab);
send2conf -> setGeometry ( QRect ( 260, 40, 650, 150 ) ); 
send2conf -> setPalette (QPalette (QColor (100, 100, 200)));

////////////////////////////////////////////////////////


x = 3;
y = 0;

QGroupBox* send2sliders1 = new QGroupBox (send2tab);
send2sliders1 -> setGeometry ( QRect( 0, 240, 795, 200 ) ); 
//send2sliders1 -> setPalette (QPalette (QColor(100, 100, 200)));
//send2sliders1 -> setTitle ("");

///// Slider 1

QGroupBox* GroupBox1send2 = new QGroupBox (send2sliders1);
GroupBox1send2 -> setGeometry ( QRect( 0, y, 50, 200 ) ); 
GroupBox1send2 -> setTitle (" 1");

QSlider* slider1send2 = new QSlider (0, 127, 10, 0, QSlider::Vertical, send2sliders1);
slider1send2 -> setGeometry ( QRect (8, 20, 30, 145)); 
slider1send2 -> setOrientation (QSlider::Vertical);
slider1send2 -> setTickmarks (QSlider::Both);
slider1send2 -> setTickInterval (10);

QLCDNumber* volume_led1send2 = new QLCDNumber (send2sliders1);
volume_led1send2 -> setGeometry (8, y + 170, 30, 25);
volume_led1send2 -> setPalette (pal);
volume_led1send2 -> setNumDigits (3);
volume_led1send2 -> setSegmentStyle (QLCDNumber::Flat);

///// Slider 2
x = x + 41;

QGroupBox* GroupBox2send2 = new QGroupBox (send2sliders1);
GroupBox2send2 -> setGeometry ( QRect( x, y, 50, 200 ) ); 
GroupBox2send2 -> setTitle (" 2");

QSlider* slider2send2 = new QSlider (0, 127, 10, 0, QSlider::Vertical, send2sliders1);
slider2send2 -> setGeometry ( QRect (x + 8, 20, 30, 145)); 
slider2send2 -> setOrientation (QSlider::Vertical);
slider2send2 -> setTickmarks (QSlider::Both);
slider2send2 -> setTickInterval (10);

QLCDNumber* volume_led2send2 = new QLCDNumber (send2sliders1);
volume_led2send2 -> setGeometry (x + 8, y + 170, 30, 25);
volume_led2send2 -> setPalette (pal);
volume_led2send2 -> setNumDigits (3);
volume_led2send2 -> setSegmentStyle (QLCDNumber::Flat);

///// Slider 3
x = x + 41;

QGroupBox* GroupBox3send2 = new QGroupBox (send2sliders1);
GroupBox3send2 -> setGeometry ( QRect( x, y, 50, 200 ) ); 
GroupBox3send2 -> setTitle (" 3");

QSlider* slider3send2 = new QSlider (0, 127, 10, 0, QSlider::Vertical, send2sliders1);
slider3send2 -> setGeometry ( QRect (x + 8, 20, 30, 145)); 
slider3send2 -> setOrientation (QSlider::Vertical);
slider3send2 -> setTickmarks (QSlider::Both);
slider3send2 -> setTickInterval (10);

QLCDNumber* volume_led3send2 = new QLCDNumber (send2sliders1);
volume_led3send2 -> setGeometry (x + 8, y + 170, 30, 25);
volume_led3send2 -> setPalette (pal);
volume_led3send2 -> setNumDigits (3);
volume_led3send2 -> setSegmentStyle (QLCDNumber::Flat);

///// Slider 4
x = x + 41;

QGroupBox* GroupBox4send2 = new QGroupBox (send2sliders1);
GroupBox4send2 -> setGeometry ( QRect( x, y, 50, 200 ) ); 
GroupBox4send2 -> setTitle (" 4");

QSlider* slider4send2 = new QSlider (0, 127, 10, 0, QSlider::Vertical, send2sliders1);
slider4send2 -> setGeometry ( QRect (x + 8, 20, 30, 145)); 
slider4send2 -> setOrientation (QSlider::Vertical);
slider4send2 -> setTickmarks (QSlider::Both);
slider4send2 -> setTickInterval (10);

QLCDNumber* volume_led4send2 = new QLCDNumber (send2sliders1);
volume_led4send2 -> setGeometry (x + 8, y + 170, 30, 25);
volume_led4send2 -> setPalette (pal);
volume_led4send2 -> setNumDigits (3);
volume_led4send2 -> setSegmentStyle (QLCDNumber::Flat);

///// Slider 5
x = x + 41;

QGroupBox* GroupBox5send2 = new QGroupBox (send2sliders1);
GroupBox5send2 -> setGeometry ( QRect( x, y, 50, 200 ) ); 
GroupBox5send2 -> setTitle (" 5");

QSlider* slider5send2 = new QSlider (0, 127, 10, 0, QSlider::Vertical, send2sliders1);
slider5send2 -> setGeometry ( QRect (x + 8, 20, 30, 145)); 
slider5send2 -> setOrientation (QSlider::Vertical);
slider5send2 -> setTickmarks (QSlider::Both);
slider5send2 -> setTickInterval (10);

QLCDNumber* volume_led5send2 = new QLCDNumber (send2sliders1);
volume_led5send2 -> setGeometry (x + 8, y + 170, 30, 25);
volume_led5send2 -> setPalette (pal);
volume_led5send2 -> setNumDigits (3);
volume_led5send2 -> setSegmentStyle (QLCDNumber::Flat);

///// Slider 6
x = x + 41;

QGroupBox* GroupBox6send2 = new QGroupBox (send2sliders1);
GroupBox6send2 -> setGeometry ( QRect( x, y, 50, 200 ) ); 
GroupBox6send2 -> setTitle (" 6");

QSlider* slider6send2 = new QSlider (0, 127, 10, 0, QSlider::Vertical, send2sliders1);
slider6send2 -> setGeometry ( QRect (x + 8, 20, 30, 145)); 
slider6send2 -> setOrientation (QSlider::Vertical);
slider6send2 -> setTickmarks (QSlider::Both);
slider6send2 -> setTickInterval (10);

QLCDNumber* volume_led6send2 = new QLCDNumber (send2sliders1);
volume_led6send2 -> setGeometry (x + 8, y + 170, 30, 25);
volume_led6send2 -> setPalette (pal);
volume_led6send2 -> setNumDigits (3);
volume_led6send2 -> setSegmentStyle (QLCDNumber::Flat);

///// Slider 7
x = x + 41;

QGroupBox* GroupBox7send2 = new QGroupBox (send2sliders1);
GroupBox7send2 -> setGeometry ( QRect( x, y, 50, 200 ) ); 
GroupBox7send2 -> setTitle (" 7");

QSlider* slider7send2 = new QSlider (0, 127, 10, 0, QSlider::Vertical, send2sliders1);
slider7send2 -> setGeometry ( QRect (x + 8, 20, 30, 145)); 
slider7send2 -> setOrientation (QSlider::Vertical);
slider7send2 -> setTickmarks (QSlider::Both);
slider7send2 -> setTickInterval (10);

QLCDNumber* volume_led7send2 = new QLCDNumber (send2sliders1);
volume_led7send2 -> setGeometry (x + 8, y + 170, 30, 25);
volume_led7send2 -> setPalette (pal);
volume_led7send2 -> setNumDigits (3);
volume_led7send2 -> setSegmentStyle (QLCDNumber::Flat);

///// Slider 8
x = x + 41;

QGroupBox* GroupBox8send2 = new QGroupBox (send2sliders1);
GroupBox8send2 -> setGeometry ( QRect( x, y, 50, 200 ) ); 
GroupBox8send2 -> setTitle (" 8");

QSlider* slider8send2 = new QSlider (0, 127, 10, 0, QSlider::Vertical, send2sliders1);
slider8send2 -> setGeometry ( QRect (x + 8, 20, 30, 145)); 
slider8send2 -> setOrientation (QSlider::Vertical);
slider8send2 -> setTickmarks (QSlider::Both);
slider8send2 -> setTickInterval (10);

QLCDNumber* volume_led8send2 = new QLCDNumber (send2sliders1);
volume_led8send2 -> setGeometry (x + 8, y + 170, 30, 25);
volume_led8send2 -> setPalette (pal);
volume_led8send2 -> setNumDigits (3);
volume_led8send2 -> setSegmentStyle (QLCDNumber::Flat);

///// Slider 9
x = x + 41;

QGroupBox* GroupBox9send2 = new QGroupBox (send2sliders1);
GroupBox9send2 -> setGeometry ( QRect( x, y, 50, 200 ) ); 
GroupBox9send2 -> setTitle (" 9");

QSlider* slider9send2 = new QSlider (0, 127, 10, 0, QSlider::Vertical, send2sliders1);
slider9send2 -> setGeometry ( QRect (x + 8, 20, 30, 145)); 
slider9send2 -> setOrientation (QSlider::Vertical);
slider9send2 -> setTickmarks (QSlider::Both);
slider9send2 -> setTickInterval (10);

QLCDNumber* volume_led9send2 = new QLCDNumber (send2sliders1);
volume_led9send2 -> setGeometry (x + 8, y + 170, 30, 25);
volume_led9send2 -> setPalette (pal);
volume_led9send2 -> setNumDigits (3);
volume_led9send2 -> setSegmentStyle (QLCDNumber::Flat);

///// Slider 10
x = x + 41;

QGroupBox* GroupBox10send2 = new QGroupBox (send2sliders1);
GroupBox10send2 -> setGeometry ( QRect( x, y, 50, 200 ) ); 
GroupBox10send2 -> setTitle ("10");

QSlider* slider10send2 = new QSlider (0, 127, 10, 0, QSlider::Vertical, send2sliders1);
slider10send2 -> setGeometry ( QRect (x + 8, 20, 30, 145)); 
slider10send2 -> setOrientation (QSlider::Vertical);
slider10send2 -> setTickmarks (QSlider::Both);
slider10send2 -> setTickInterval (10);

QLCDNumber* volume_led10send2 = new QLCDNumber (send2sliders1);
volume_led10send2 -> setGeometry (x + 8, y + 170, 30, 25);
volume_led10send2 -> setPalette (pal);
volume_led10send2 -> setNumDigits (3);
volume_led10send2 -> setSegmentStyle (QLCDNumber::Flat);

///// Slider 11
x = x + 41;

QGroupBox* GroupBox11send2 = new QGroupBox (send2sliders1);
GroupBox11send2 -> setGeometry ( QRect( x, y, 50, 200 ) ); 
GroupBox11send2 -> setTitle ("11");

QSlider* slider11send2 = new QSlider (0, 127, 10, 0, QSlider::Vertical, send2sliders1);
slider11send2 -> setGeometry ( QRect (x + 8, 20, 30, 145)); 
slider11send2 -> setOrientation (QSlider::Vertical);
slider11send2 -> setTickmarks (QSlider::Both);
slider11send2 -> setTickInterval (10);

QLCDNumber* volume_led11send2 = new QLCDNumber (send2sliders1);
volume_led11send2 -> setGeometry (x + 8, y + 170, 30, 25);
volume_led11send2 -> setPalette (pal);
volume_led11send2 -> setNumDigits (3);
volume_led11send2 -> setSegmentStyle (QLCDNumber::Flat);

///// Slider 12
x = x + 41;

QGroupBox* GroupBox12send2 = new QGroupBox (send2sliders1);
GroupBox12send2 -> setGeometry ( QRect( x, y, 50, 200 ) ); 
GroupBox12send2 -> setTitle ("12");

QSlider* slider12send2 = new QSlider (0, 127, 10, 0, QSlider::Vertical, send2sliders1);
slider12send2 -> setGeometry ( QRect (x + 8, 20, 30, 145)); 
slider12send2 -> setOrientation (QSlider::Vertical);
slider12send2 -> setTickmarks (QSlider::Both);
slider12send2 -> setTickInterval (10);

QLCDNumber* volume_led12send2 = new QLCDNumber (send2sliders1);
volume_led12send2 -> setGeometry (x + 8, y + 170, 30, 25);
volume_led12send2 -> setPalette (pal);
volume_led12send2 -> setNumDigits (3);
volume_led12send2 -> setSegmentStyle (QLCDNumber::Flat);

///// Slider 13
x = x + 41;

QGroupBox* GroupBox13send2 = new QGroupBox (send2sliders1);
GroupBox13send2 -> setGeometry ( QRect( x, y, 50, 200 ) ); 
GroupBox13send2 -> setTitle ("13");

QSlider* slider13send2 = new QSlider (0, 127, 10, 0, QSlider::Vertical, send2sliders1);
slider13send2 -> setGeometry ( QRect (x + 8, 20, 30, 145)); 
slider13send2 -> setOrientation (QSlider::Vertical);
slider13send2 -> setTickmarks (QSlider::Both);
slider13send2 -> setTickInterval (10);

QLCDNumber* volume_led13send2 = new QLCDNumber (send2sliders1);
volume_led13send2 -> setGeometry (x + 8, y + 170, 30, 25);
volume_led13send2 -> setPalette (pal);
volume_led13send2 -> setNumDigits (3);
volume_led13send2 -> setSegmentStyle (QLCDNumber::Flat);

///// Slider 14
x = x + 41;

QGroupBox* GroupBox14send2 = new QGroupBox (send2sliders1);
GroupBox14send2 -> setGeometry ( QRect( x, y, 50, 200 ) ); 
GroupBox14send2 -> setTitle ("14");

QSlider* slider14send2 = new QSlider (0, 127, 10, 0, QSlider::Vertical, send2sliders1);
slider14send2 -> setGeometry ( QRect (x + 8, 20, 30, 145)); 
slider14send2 -> setOrientation (QSlider::Vertical);
slider14send2 -> setTickmarks (QSlider::Both);
slider14send2 -> setTickInterval (10);

QLCDNumber* volume_led14send2 = new QLCDNumber (send2sliders1);
volume_led14send2 -> setGeometry (x + 8, y + 170, 30, 25);
volume_led14send2 -> setPalette (pal);
volume_led14send2 -> setNumDigits (3);
volume_led14send2 -> setSegmentStyle (QLCDNumber::Flat);

///// Slider 15
x = x + 41;

QGroupBox* GroupBox15send2 = new QGroupBox (send2sliders1);
GroupBox15send2 -> setGeometry ( QRect( x, y, 50, 200 ) ); 
GroupBox15send2 -> setTitle ("15");

QSlider* slider15send2 = new QSlider (0, 127, 10, 0, QSlider::Vertical, send2sliders1);
slider15send2 -> setGeometry ( QRect (x + 8, 20, 30, 145)); 
slider15send2 -> setOrientation (QSlider::Vertical);
slider15send2 -> setTickmarks (QSlider::Both);
slider15send2 -> setTickInterval (10);

QLCDNumber* volume_led15send2 = new QLCDNumber (send2sliders1);
volume_led15send2 -> setGeometry (x + 8, y + 170, 30, 25);
volume_led15send2 -> setPalette (pal);
volume_led15send2 -> setNumDigits (3);
volume_led15send2 -> setSegmentStyle (QLCDNumber::Flat);

///// Slider 16
x = x + 41;

QGroupBox* GroupBox16send2 = new QGroupBox (send2sliders1);
GroupBox16send2 -> setGeometry ( QRect( x, y, 50, 200 ) ); 
GroupBox16send2 -> setTitle ("16");

QSlider* slider16send2 = new QSlider (0, 127, 10, 0, QSlider::Vertical, send2sliders1);
slider16send2 -> setGeometry ( QRect (x + 8, 20, 30, 145)); 
slider16send2 -> setOrientation (QSlider::Vertical);
slider16send2 -> setTickmarks (QSlider::Both);
slider16send2 -> setTickInterval (10);

QLCDNumber* volume_led16send2 = new QLCDNumber (send2sliders1);
volume_led16send2 -> setGeometry (x + 8, y + 170, 30, 25);
volume_led16send2 -> setPalette (pal);
volume_led16send2 -> setNumDigits (3);
volume_led16send2 -> setSegmentStyle (QLCDNumber::Flat);

///// Slider 17
x = x + 41;

QGroupBox* GroupBox17send2 = new QGroupBox (send2sliders1);
GroupBox17send2 -> setGeometry ( QRect( x, y, 50, 200 ) ); 
GroupBox17send2 -> setTitle ("st in");
GroupBox17send2 -> setPalette (palvolstin);

QSlider* slider17send2 = new QSlider (0, 127, 10, 0, QSlider::Vertical, send2sliders1);
slider17send2 -> setGeometry ( QRect (x + 8, 20, 30, 145)); 
slider17send2 -> setOrientation (QSlider::Vertical);
slider17send2 -> setTickmarks (QSlider::Both);
slider17send2 -> setTickInterval (10);
slider17send2 -> setPalette (palvolstin);

QLCDNumber* volume_led17send2 = new QLCDNumber (send2sliders1);
volume_led17send2 -> setGeometry (x + 8, y + 170, 30, 25);
volume_led17send2 -> setPalette (pal);
volume_led17send2 -> setNumDigits (3);
volume_led17send2 -> setSegmentStyle (QLCDNumber::Flat);

///// Slider 18
x = x + 41;

QGroupBox* GroupBox18send2 = new QGroupBox (send2sliders1);
GroupBox18send2 -> setGeometry ( QRect( x, y, 50, 200 ) ); 
GroupBox18send2 -> setTitle ("r & s");
GroupBox18send2 -> setPalette (palvolrns);

QSlider* slider18send2 = new QSlider (0, 127, 10, 0, QSlider::Vertical, send2sliders1);
slider18send2 -> setGeometry ( QRect (x + 8, 20, 30, 145)); 
slider18send2 -> setOrientation (QSlider::Vertical);
slider18send2 -> setTickmarks (QSlider::Both);
slider18send2 -> setTickInterval (10);
slider18send2 -> setPalette (palvolrns);

QLCDNumber* volume_led18send2 = new QLCDNumber (send2sliders1);
volume_led18send2 -> setGeometry (x + 8, y + 170, 30, 25);
volume_led18send2 -> setPalette (pal);
volume_led18send2 -> setNumDigits (3);
volume_led18send2 -> setSegmentStyle (QLCDNumber::Flat);

///// Slider 19
x = x + 41;

QGroupBox* GroupBox19send2 = new QGroupBox (send2sliders1);
GroupBox19send2 -> setGeometry ( QRect( x, y, 45, 200 ) ); 
GroupBox19send2 -> setPalette (palvolout);
GroupBox19send2 -> setTitle ("st out");

QSlider* slider19send2 = new QSlider (0, 127, 10, 0, QSlider::Vertical, send2sliders1);
slider19send2 -> setGeometry ( QRect (x + 8, 20, 30, 145)); 
slider19send2 -> setOrientation (QSlider::Vertical);
slider19send2 -> setTickmarks (QSlider::Both);
slider19send2 -> setTickInterval (10);
slider19send2 -> setPalette (palvolout);

QLCDNumber* volume_led19send2 = new QLCDNumber (send2sliders1);
volume_led19send2 -> setGeometry (x + 8, y + 170, 30, 25);
volume_led19send2 -> setPalette (pal);
volume_led19send2 -> setNumDigits (3);
volume_led19send2 -> setSegmentStyle (QLCDNumber::Flat);




QGroupBox* send2ppbox = new QGroupBox (send2tab);
send2ppbox -> setGeometry ( QRect( 800, 240, 110, 200 ) ); 
send2ppbox -> setPalette (QPalette (QColor(200, 200, 100)));
send2ppbox -> setTitle ("send to");

QButtonGroup* send2ppgroup = new QButtonGroup (send1tab);
send2ppgroup -> setExclusive (TRUE);
send2ppgroup -> setGeometry (QRect (0,0,0,0));

QPushButton* send2pre = new QPushButton("send 2 pre", send2ppbox);
send2pre -> setGeometry (10, 50, 90, 40);
send2pre -> QPushButton::setToggleButton (TRUE);
send2pre -> setFont ( QFont( "Helvetica", 10, QFont::Normal ) );
//send2pre -> setPalette (palvol);

send2ppgroup -> insert (send2pre);

QPushButton* send2post = new QPushButton("send 2 post", send2ppbox);
send2post -> setGeometry (10, 130, 90, 40);
send2post -> QPushButton::setToggleButton (TRUE);
send2post -> setFont ( QFont( "Helvetica", 10, QFont::Normal ) );
//send2post -> setPalette (palvol);
send2ppgroup -> insert (send2post);

////////////////////////////////////////

// -------------------------------------------------------------------------- //

dmidi* DM = new dmidi ();

// -------------------------------------------------------------------------- //

// Vol Sliders MIDI connectors
QObject::connect (slider1, SIGNAL (valueChanged (int)), DM, SLOT (volume_midi1 (int)));
QObject::connect (slider2, SIGNAL (valueChanged (int)), DM, SLOT (volume_midi2 (int)));
QObject::connect (slider3, SIGNAL (valueChanged (int)), DM, SLOT (volume_midi3 (int)));
QObject::connect (slider4, SIGNAL (valueChanged (int)), DM, SLOT (volume_midi4 (int)));
QObject::connect (slider4, SIGNAL (valueChanged (int)), DM, SLOT (volume_midi4 (int)));
QObject::connect (slider5, SIGNAL (valueChanged (int)), DM, SLOT (volume_midi5 (int)));
QObject::connect (slider6, SIGNAL (valueChanged (int)), DM, SLOT (volume_midi6 (int)));
QObject::connect (slider7, SIGNAL (valueChanged (int)), DM, SLOT (volume_midi7 (int)));
QObject::connect (slider8, SIGNAL (valueChanged (int)), DM, SLOT (volume_midi8 (int)));
QObject::connect (slider9, SIGNAL (valueChanged (int)), DM, SLOT (volume_midi9 (int)));
QObject::connect (slider10, SIGNAL (valueChanged (int)), DM, SLOT (volume_midi10 (int)));
QObject::connect (slider11, SIGNAL (valueChanged (int)), DM, SLOT (volume_midi11 (int)));
QObject::connect (slider12, SIGNAL (valueChanged (int)), DM, SLOT (volume_midi12 (int)));
QObject::connect (slider13, SIGNAL (valueChanged (int)), DM, SLOT (volume_midi13 (int)));
QObject::connect (slider14, SIGNAL (valueChanged (int)), DM, SLOT (volume_midi14 (int)));
QObject::connect (slider15, SIGNAL (valueChanged (int)), DM, SLOT (volume_midi15 (int)));
QObject::connect (slider16, SIGNAL (valueChanged (int)), DM, SLOT (volume_midi16 (int)));

QObject::connect (sliderstin, SIGNAL (valueChanged (int)), DM, SLOT (volume_midistin (int)));
QObject::connect (slidersend1, SIGNAL (valueChanged (int)), DM, SLOT (volume_send1 (int)));
QObject::connect (slidersend2, SIGNAL (valueChanged (int)), DM, SLOT (volume_send2 (int)));
QObject::connect (slidersend3, SIGNAL (valueChanged (int)), DM, SLOT (volume_send3 (int)));
QObject::connect (slidersend4, SIGNAL (valueChanged (int)), DM, SLOT (volume_send4 (int)));
QObject::connect (sliderstout, SIGNAL (valueChanged (int)), DM, SLOT (volume_midistout (int)));


///////////////////////////////////////////////
// Send 1 sigs and slots

QObject::connect (slidersend1, SIGNAL (valueChanged (int)), DM, SLOT (volume_send1 (int)));
QObject::connect (slidersend1, SIGNAL (valueChanged (int)), slider18send1, SLOT (setValue (int)));
QObject::connect (slider18send1, SIGNAL (valueChanged (int)), slidersend1, SLOT (setValue (int)));

// Send 2 sigs and slots
QObject::connect (slidersend2, SIGNAL (valueChanged (int)), DM, SLOT (volume_send2 (int)));
QObject::connect (slidersend2, SIGNAL (valueChanged (int)), slider18send2, SLOT (setValue (int)));
QObject::connect (slider18send2, SIGNAL (valueChanged (int)), slidersend2, SLOT (setValue (int)));


QObject::connect (slidersend3, SIGNAL (valueChanged (int)), DM, SLOT (volume_send3 (int)));
QObject::connect (slidersend4, SIGNAL (valueChanged (int)), DM, SLOT (volume_send4 (int)));

///////////////////////////////////////////////

QObject::connect (sliderstout, SIGNAL (valueChanged (int)), DM, SLOT (volume_midistout (int)));

QObject::connect (DM, SIGNAL (midi_value1 (int)), volume_led1, SLOT (display (int)));
QObject::connect (DM, SIGNAL (midi_value2 (int)), volume_led2, SLOT (display (int)));
QObject::connect (DM, SIGNAL (midi_value3 (int)), volume_led3, SLOT (display (int)));
QObject::connect (DM, SIGNAL (midi_value4 (int)), volume_led4, SLOT (display (int)));
QObject::connect (DM, SIGNAL (midi_value5 (int)), volume_led5, SLOT (display (int)));
QObject::connect (DM, SIGNAL (midi_value6 (int)), volume_led6, SLOT (display (int)));
QObject::connect (DM, SIGNAL (midi_value7 (int)), volume_led7, SLOT (display (int)));
QObject::connect (DM, SIGNAL (midi_value8 (int)), volume_led8, SLOT (display (int)));
QObject::connect (DM, SIGNAL (midi_value9 (int)), volume_led9, SLOT (display (int)));
QObject::connect (DM, SIGNAL (midi_value10 (int)), volume_led10, SLOT (display (int)));
QObject::connect (DM, SIGNAL (midi_value11 (int)), volume_led11, SLOT (display (int)));
QObject::connect (DM, SIGNAL (midi_value12 (int)), volume_led12, SLOT (display (int)));
QObject::connect (DM, SIGNAL (midi_value13 (int)), volume_led13, SLOT (display (int)));
QObject::connect (DM, SIGNAL (midi_value14 (int)), volume_led14, SLOT (display (int)));
QObject::connect (DM, SIGNAL (midi_value15 (int)), volume_led15, SLOT (display (int)));
QObject::connect (DM, SIGNAL (midi_value16 (int)), volume_led16, SLOT (display (int)));

QObject::connect (DM, SIGNAL (midi_valuestin (int)), volume_ledstin, SLOT (display (int)));
QObject::connect (DM, SIGNAL (midi_valuesend1 (int)), volume_ledsend1, SLOT (display (int)));
QObject::connect (DM, SIGNAL (midi_valuesend2 (int)), volume_ledsend2, SLOT (display (int)));
QObject::connect (DM, SIGNAL (midi_valuesend3 (int)), volume_ledsend3, SLOT (display (int)));
QObject::connect (DM, SIGNAL (midi_valuesend4 (int)), volume_ledsend4, SLOT (display (int)));

QObject::connect (DM, SIGNAL (midi_valuestout (int)), volume_ledstout, SLOT (display (int)));


// Pan Display Connectors

QObject::connect(DM, SIGNAL(pan_value1(int)), pan_led1, SLOT(display(int)));

QObject::connect(pan_dial2, SIGNAL(valueChanged(int)), pan_led2, SLOT(display(int)));
QObject::connect(pan_dial3, SIGNAL(valueChanged(int)), pan_led3, SLOT(display(int)));
QObject::connect(pan_dial4, SIGNAL(valueChanged(int)), pan_led4, SLOT(display(int)));
QObject::connect(pan_dial5, SIGNAL(valueChanged(int)), pan_led5, SLOT(display(int)));
QObject::connect(pan_dial6, SIGNAL(valueChanged(int)), pan_led6, SLOT(display(int)));
QObject::connect(pan_dial7, SIGNAL(valueChanged(int)), pan_led7, SLOT(display(int)));
QObject::connect(pan_dial8, SIGNAL(valueChanged(int)), pan_led8, SLOT(display(int)));
QObject::connect(pan_dial9, SIGNAL(valueChanged(int)), pan_led9, SLOT(display(int)));
QObject::connect(pan_dial10, SIGNAL(valueChanged(int)), pan_led10, SLOT(display(int)));
QObject::connect(pan_dial11, SIGNAL(valueChanged(int)), pan_led11, SLOT(display(int)));
QObject::connect(pan_dial12, SIGNAL(valueChanged(int)), pan_led12, SLOT(display(int)));
QObject::connect(pan_dial13, SIGNAL(valueChanged(int)), pan_led13, SLOT(display(int)));
QObject::connect(pan_dial14, SIGNAL(valueChanged(int)), pan_led14, SLOT(display(int)));
QObject::connect(pan_dial15, SIGNAL(valueChanged(int)), pan_led15, SLOT(display(int)));
QObject::connect(pan_dial16, SIGNAL(valueChanged(int)), pan_led16, SLOT(display(int)));

QObject::connect(pan_dialstinl, SIGNAL(valueChanged(int)), pan_ledstinl, SLOT(display(int)));
QObject::connect(pan_dialstinr, SIGNAL(valueChanged(int)), pan_ledstinr, SLOT(display(int)));
QObject::connect(pan_dialsend1l, SIGNAL(valueChanged(int)), pan_ledsend1l, SLOT(display(int)));
QObject::connect(pan_dialsend1r, SIGNAL(valueChanged(int)), pan_ledsend1r, SLOT(display(int)));


QObject::connect (pan_dialsend1l, SIGNAL (valueChanged (int)), pan_ledsend1l, SLOT (display (int)));
QObject::connect (pan_dialsend1r, SIGNAL (valueChanged (int)), pan_ledsend1r, SLOT (display (int)));

QObject::connect (pan_dialsend2l, SIGNAL (valueChanged (int)), pan_ledsend2l, SLOT (display (int)));
QObject::connect (pan_dialsend2r, SIGNAL (valueChanged (int)), pan_ledsend2r, SLOT (display (int)));

QObject::connect (pan_dialsend3, SIGNAL (valueChanged (int)), pan_ledsend3, SLOT (display (int)));
//QObject::connect (pan_dialsend3r, SIGNAL (valueChanged (int)), pan_ledsend3r, SLOT (display (int)));

QObject::connect (pan_dialsend4, SIGNAL (valueChanged (int)), pan_ledsend4, SLOT (display (int)));
//QObject::connect (pan_dialsend4r, SIGNAL (valueChanged (int)), pan_ledsend4r, SLOT (display (int)));

QObject::connect(pan_dialstout, SIGNAL(valueChanged(int)), pan_ledstout, SLOT(display(int)));


// Pan MIDI connectors
QObject::connect(pan_dial1, SIGNAL(valueChanged(int)), DM, SLOT(pan_midi1(int)));
QObject::connect(pan_dial2, SIGNAL(valueChanged(int)), DM, SLOT(pan_midi2(int)));
QObject::connect(pan_dial3, SIGNAL(valueChanged(int)), DM, SLOT(pan_midi3(int)));
QObject::connect(pan_dial4, SIGNAL(valueChanged(int)), DM, SLOT(pan_midi4(int)));
QObject::connect(pan_dial5, SIGNAL(valueChanged(int)), DM, SLOT(pan_midi5(int)));
QObject::connect(pan_dial6, SIGNAL(valueChanged(int)), DM, SLOT(pan_midi6(int)));
QObject::connect(pan_dial7, SIGNAL(valueChanged(int)), DM, SLOT(pan_midi7(int)));
QObject::connect(pan_dial8, SIGNAL(valueChanged(int)), DM, SLOT(pan_midi8(int)));
QObject::connect(pan_dial9, SIGNAL(valueChanged(int)), DM, SLOT(pan_midi9(int)));
QObject::connect(pan_dial10, SIGNAL(valueChanged(int)), DM, SLOT(pan_midi10(int)));
QObject::connect(pan_dial11, SIGNAL(valueChanged(int)), DM, SLOT(pan_midi11(int)));
QObject::connect(pan_dial12, SIGNAL(valueChanged(int)), DM, SLOT(pan_midi12(int)));
QObject::connect(pan_dial13, SIGNAL(valueChanged(int)), DM, SLOT(pan_midi13(int)));
QObject::connect(pan_dial14, SIGNAL(valueChanged(int)), DM, SLOT(pan_midi14(int)));
QObject::connect(pan_dial15, SIGNAL(valueChanged(int)), DM, SLOT(pan_midi15(int)));
QObject::connect(pan_dial16, SIGNAL(valueChanged(int)), DM, SLOT(pan_midi16(int)));

QObject::connect(pan_dialstinl, SIGNAL(valueChanged(int)), DM, SLOT(pan_midistinl(int)));
QObject::connect(pan_dialstinr, SIGNAL(valueChanged(int)), DM, SLOT(pan_midistinr(int)));

QObject::connect(pan_dialsend1l, SIGNAL(valueChanged(int)), DM, SLOT(pan_midiret1l(int)));
QObject::connect(pan_dialsend1r, SIGNAL(valueChanged(int)), DM, SLOT(pan_midiret1r(int)));

QObject::connect(pan_dialsend2l, SIGNAL(valueChanged(int)), DM, SLOT(pan_midiret2l(int)));
QObject::connect(pan_dialsend2r, SIGNAL(valueChanged(int)), DM, SLOT(pan_midiret2r(int)));

QObject::connect(pan_dialsend3, SIGNAL(valueChanged(int)), DM, SLOT(pan_midiret3(int)));
//QObject::connect(pan_dialsend3r, SIGNAL(valueChanged(int)), DM, SLOT(pan_midiret3r(int)));

QObject::connect(pan_dialsend4, SIGNAL(valueChanged(int)), DM, SLOT(pan_midiret4(int)));
//QObject::connect(pan_dialsend4r, SIGNAL(valueChanged(int)), DM, SLOT(pan_midiret4r(int)));

QObject::connect(pan_dialstout, SIGNAL(valueChanged(int)), DM, SLOT(pan_midistout(int)));

QObject::connect(DM, SIGNAL(pan_value1(int)), pan_led1, SLOT(display(int)));
QObject::connect(DM, SIGNAL(pan_value2(int)), pan_led2, SLOT(display(int)));
QObject::connect(DM, SIGNAL(pan_value3(int)), pan_led3, SLOT(display(int)));
QObject::connect(DM, SIGNAL(pan_value4(int)), pan_led4, SLOT(display(int)));
QObject::connect(DM, SIGNAL(pan_value5(int)), pan_led5, SLOT(display(int)));
QObject::connect(DM, SIGNAL(pan_value6(int)), pan_led6, SLOT(display(int)));
QObject::connect(DM, SIGNAL(pan_value7(int)), pan_led7, SLOT(display(int)));
QObject::connect(DM, SIGNAL(pan_value8(int)), pan_led8, SLOT(display(int)));
QObject::connect(DM, SIGNAL(pan_value9(int)), pan_led9, SLOT(display(int)));
QObject::connect(DM, SIGNAL(pan_value10(int)), pan_led10, SLOT(display(int)));
QObject::connect(DM, SIGNAL(pan_value11(int)), pan_led11, SLOT(display(int)));
QObject::connect(DM, SIGNAL(pan_value12(int)), pan_led12, SLOT(display(int)));
QObject::connect(DM, SIGNAL(pan_value13(int)), pan_led13, SLOT(display(int)));
QObject::connect(DM, SIGNAL(pan_value14(int)), pan_led14, SLOT(display(int)));
QObject::connect(DM, SIGNAL(pan_value15(int)), pan_led15, SLOT(display(int)));
QObject::connect(DM, SIGNAL(pan_value16(int)), pan_led16, SLOT(display(int)));

QObject::connect(DM, SIGNAL(pan_valuestinl (int)), pan_ledstinl, SLOT(display(int)));
QObject::connect(DM, SIGNAL(pan_valuestinr (int)), pan_ledstinr, SLOT(display(int)));

QObject::connect(DM, SIGNAL(pan_valueret1l(int)), pan_ledsend1l, SLOT(display(int)));
QObject::connect(DM, SIGNAL(pan_valueret1r(int)), pan_ledsend1r, SLOT(display(int)));

QObject::connect(DM, SIGNAL(pan_valueret2l(int)), pan_ledsend2l, SLOT(display(int)));
QObject::connect(DM, SIGNAL(pan_valueret2r(int)), pan_ledsend2r, SLOT(display(int)));

QObject::connect(DM, SIGNAL(pan_valueret3(int)), pan_ledsend3, SLOT(display(int)));
//QObject::connect(DM, SIGNAL(pan_valueret3r(int)), pan_ledsend3r, SLOT(display(int)));

QObject::connect(DM, SIGNAL(pan_valueret4(int)), pan_ledsend4, SLOT(display(int)));
//QObject::connect(DM, SIGNAL(pan_valueret4r(int)), pan_ledsend4r, SLOT(display(int)));

QObject::connect(DM, SIGNAL(pan_valuestout(int)), pan_ledstout, SLOT(display(int)));

QObject::connect(on1, SIGNAL(stateChanged(int)), DM, SLOT(on1(int)));
QObject::connect(on2, SIGNAL(stateChanged(int)), DM, SLOT(on2(int)));
QObject::connect(on3, SIGNAL(stateChanged(int)), DM, SLOT(on3(int)));
QObject::connect(on4, SIGNAL(stateChanged(int)), DM, SLOT(on4(int)));
QObject::connect(on5, SIGNAL(stateChanged(int)), DM, SLOT(on5(int)));
QObject::connect(on6, SIGNAL(stateChanged(int)), DM, SLOT(on6(int)));
QObject::connect(on7, SIGNAL(stateChanged(int)), DM, SLOT(on7(int)));
QObject::connect(on8, SIGNAL(stateChanged(int)), DM, SLOT(on8(int)));
QObject::connect(on9, SIGNAL(stateChanged(int)), DM, SLOT(on9(int)));
QObject::connect(on10, SIGNAL(stateChanged(int)), DM, SLOT(on10(int)));
QObject::connect(on11, SIGNAL(stateChanged(int)), DM, SLOT(on11(int)));
QObject::connect(on12, SIGNAL(stateChanged(int)), DM, SLOT(on12(int)));
QObject::connect(on13, SIGNAL(stateChanged(int)), DM, SLOT(on13(int)));
QObject::connect(on14, SIGNAL(stateChanged(int)), DM, SLOT(on14(int)));
QObject::connect(on15, SIGNAL(stateChanged(int)), DM, SLOT(on15(int)));
QObject::connect(on16, SIGNAL(stateChanged(int)), DM, SLOT(on16(int)));

QObject::connect(onstin, SIGNAL(stateChanged(int)), DM, SLOT(onstin(int)));
QObject::connect(onsend1, SIGNAL(stateChanged(int)), DM, SLOT(onret1(int)));
QObject::connect(onsend2, SIGNAL(stateChanged(int)), DM, SLOT(onret2(int)));
QObject::connect(onsend3, SIGNAL(stateChanged(int)), DM, SLOT(onret3(int)));
QObject::connect(onsend4, SIGNAL(stateChanged(int)), DM, SLOT(onret4(int)));
QObject::connect(onstout, SIGNAL(stateChanged(int)), DM, SLOT(onstout(int)));

//////////////////////////
// effects s/s

QObject::connect(send1patchestable, SIGNAL(highlighted(int)), DM, SLOT(send1effects (int)));

QObject::connect (slider1send1, SIGNAL (valueChanged (int)), DM, SLOT (send1slider1 (int)));
QObject::connect (slider2send1, SIGNAL (valueChanged (int)), DM, SLOT (send1slider2 (int)));
QObject::connect (slider3send1, SIGNAL (valueChanged (int)), DM, SLOT (send1slider3 (int)));
QObject::connect (slider4send1, SIGNAL (valueChanged (int)), DM, SLOT (send1slider4 (int)));
QObject::connect (slider5send1, SIGNAL (valueChanged (int)), DM, SLOT (send1slider5 (int)));
QObject::connect (slider6send1, SIGNAL (valueChanged (int)), DM, SLOT (send1slider6 (int)));
QObject::connect (slider7send1, SIGNAL (valueChanged (int)), DM, SLOT (send1slider7 (int)));
QObject::connect (slider8send1, SIGNAL (valueChanged (int)), DM, SLOT (send1slider8 (int)));
QObject::connect (slider9send1, SIGNAL (valueChanged (int)), DM, SLOT (send1slider9 (int)));
QObject::connect (slider10send1, SIGNAL (valueChanged (int)), DM, SLOT (send1slider10 (int)));
QObject::connect (slider11send1, SIGNAL (valueChanged (int)), DM, SLOT (send1slider11 (int)));
QObject::connect (slider12send1, SIGNAL (valueChanged (int)), DM, SLOT (send1slider12 (int)));
QObject::connect (slider13send1, SIGNAL (valueChanged (int)), DM, SLOT (send1slider13 (int)));
QObject::connect (slider14send1, SIGNAL (valueChanged (int)), DM, SLOT (send1slider14 (int)));
QObject::connect (slider15send1, SIGNAL (valueChanged (int)), DM, SLOT (send1slider15 (int)));
QObject::connect (slider16send1, SIGNAL (valueChanged (int)), DM, SLOT (send1slider16 (int)));
QObject::connect (slider17send1, SIGNAL (valueChanged (int)), DM, SLOT (send1slider17 (int)));
QObject::connect (slider18send1, SIGNAL (valueChanged (int)), DM, SLOT (send1slider18 (int)));
QObject::connect (slider19send1, SIGNAL (valueChanged (int)), DM, SLOT (send1slider19 (int)));

QObject::connect (DM, SIGNAL (setsend1slider1 (int)), volume_led1send1, SLOT (display (int)));


/////////
//send2 

QObject::connect (slider1send2, SIGNAL(valueChanged (int)), DM, SLOT (send2slider1 (int)));
QObject::connect (slider2send2, SIGNAL(valueChanged (int)), DM, SLOT (send2slider2 (int)));
QObject::connect (slider3send2, SIGNAL(valueChanged (int)), DM, SLOT (send2slider3 (int)));
QObject::connect (slider4send2, SIGNAL(valueChanged (int)), DM, SLOT (send2slider4 (int)));
QObject::connect (slider5send2, SIGNAL(valueChanged (int)), DM, SLOT (send2slider5 (int)));
QObject::connect (slider6send2, SIGNAL(valueChanged (int)), DM, SLOT (send2slider6 (int)));
QObject::connect (slider7send2, SIGNAL(valueChanged (int)), DM, SLOT (send2slider7 (int)));
QObject::connect (slider8send2, SIGNAL(valueChanged (int)), DM, SLOT (send2slider8 (int)));
QObject::connect (slider9send2, SIGNAL(valueChanged (int)), DM, SLOT (send2slider9 (int)));
QObject::connect (slider10send2, SIGNAL(valueChanged (int)), DM, SLOT (send2slider10 (int)));
QObject::connect (slider11send2, SIGNAL(valueChanged (int)), DM, SLOT (send2slider11 (int)));
QObject::connect (slider12send2, SIGNAL(valueChanged (int)), DM, SLOT (send2slider12 (int)));
QObject::connect (slider13send2, SIGNAL(valueChanged (int)), DM, SLOT (send2slider13 (int)));
QObject::connect (slider14send2, SIGNAL(valueChanged (int)), DM, SLOT (send2slider14 (int)));
QObject::connect (slider15send2, SIGNAL(valueChanged (int)), DM, SLOT (send2slider15 (int)));
QObject::connect (slider16send2, SIGNAL(valueChanged (int)), DM, SLOT (send2slider16 (int)));
QObject::connect (slider17send2, SIGNAL(valueChanged (int)), DM, SLOT (send2slider17 (int)));
QObject::connect (slider18send2, SIGNAL(valueChanged (int)), DM, SLOT (send2slider18 (int)));
QObject::connect (slider19send2, SIGNAL(valueChanged (int)), DM, SLOT (send2slider19 (int)));

//////////////

QObject::connect (midi_dial, SIGNAL (valueChanged (int)), DM, SLOT (midichan (int)));
QObject::connect (midi_dial, SIGNAL (valueChanged (int)), midi_led, SLOT (display (int)));

QObject::connect (broadcastbutton, SIGNAL (stateChanged (int)), DM, SLOT (setbroadcast (int)));

QObject::connect (&promix, SIGNAL (guiThreadAwake ()), DM, SLOT (load_config () ));
QObject::connect (&promix, SIGNAL (lastWindowClosed ()), DM, SLOT (save_config () ));

QObject::connect(restore, SIGNAL (pressed()), DM, SLOT (restore ()));
QObject::connect(save, SIGNAL (pressed()), DM, SLOT (save_config()));

QObject::connect(quit, SIGNAL (pressed()), DM, SLOT (save_config()));
QObject::connect(quit, SIGNAL (pressed()), &promix, SLOT ( quit() ) );

// -------------------------------------------------------------------------- //
// Signal bindings for XML config

QObject::connect(DM, SIGNAL (setmidichan (int)), midi_dial, SLOT (setValue (int)));
QObject::connect(DM, SIGNAL (setmidichan (int)), midi_led, SLOT (display (int)));

// Signal bindings for vol sliders
QObject::connect (DM, SIGNAL (setvol1 (int)), slider1, SLOT (setValue (int)));
QObject::connect (DM, SIGNAL (setvol2 (int)), slider2, SLOT (setValue (int)));
QObject::connect (DM, SIGNAL (setvol3 (int)), slider3, SLOT (setValue (int)));
QObject::connect (DM, SIGNAL (setvol4 (int)), slider4, SLOT (setValue (int)));
QObject::connect (DM, SIGNAL (setvol5 (int)), slider5, SLOT (setValue (int)));
QObject::connect (DM, SIGNAL (setvol6 (int)), slider6, SLOT (setValue (int)));
QObject::connect (DM, SIGNAL (setvol7 (int)), slider7, SLOT (setValue (int)));
QObject::connect (DM, SIGNAL (setvol8 (int)), slider8, SLOT (setValue (int)));
QObject::connect (DM, SIGNAL (setvol9 (int)), slider9, SLOT (setValue (int)));
QObject::connect (DM, SIGNAL (setvol10 (int)), slider10, SLOT (setValue (int)));
QObject::connect (DM, SIGNAL (setvol11 (int)), slider11, SLOT (setValue (int)));
QObject::connect (DM, SIGNAL (setvol12 (int)), slider12, SLOT (setValue (int)));
QObject::connect (DM, SIGNAL (setvol13 (int)), slider13, SLOT (setValue (int)));
QObject::connect (DM, SIGNAL (setvol14 (int)), slider14, SLOT (setValue (int)));
QObject::connect (DM, SIGNAL (setvol15 (int)), slider15, SLOT (setValue (int)));
QObject::connect (DM, SIGNAL (setvol16 (int)), slider16, SLOT (setValue (int)));

QObject::connect (DM, SIGNAL (setvolstin(int)), sliderstin, SLOT (setValue (int)));
QObject::connect (DM, SIGNAL (setvolret1 (int)), slidersend1, SLOT (setValue (int)));
QObject::connect (DM, SIGNAL (setvolret2 (int)), slidersend2, SLOT (setValue (int)));
QObject::connect (DM, SIGNAL (setvolret3 (int)), slidersend3, SLOT (setValue (int)));
QObject::connect (DM, SIGNAL (setvolret4 (int)), slidersend4, SLOT (setValue (int)));
QObject::connect (DM, SIGNAL (setvolstout(int)), sliderstout, SLOT (setValue (int)));

// Signal bindings for on switches
QObject::connect(DM, SIGNAL(seton1 (bool)), on1, SLOT(setOn(bool)));
QObject::connect(DM, SIGNAL(seton2 (bool)), on2, SLOT(setOn(bool)));
QObject::connect(DM, SIGNAL(seton3 (bool)), on3, SLOT(setOn(bool)));
QObject::connect(DM, SIGNAL(seton4 (bool)), on4, SLOT(setOn(bool)));
QObject::connect(DM, SIGNAL(seton5 (bool)), on5, SLOT(setOn(bool)));
QObject::connect(DM, SIGNAL(seton6 (bool)), on6, SLOT(setOn(bool)));
QObject::connect(DM, SIGNAL(seton7 (bool)), on7, SLOT(setOn(bool)));
QObject::connect(DM, SIGNAL(seton8 (bool)), on8, SLOT(setOn(bool)));
QObject::connect(DM, SIGNAL(seton9 (bool)), on9, SLOT(setOn(bool)));
QObject::connect(DM, SIGNAL(seton10 (bool)), on10, SLOT(setOn(bool)));
QObject::connect(DM, SIGNAL(seton11 (bool)), on11, SLOT(setOn(bool)));
QObject::connect(DM, SIGNAL(seton12 (bool)), on12, SLOT(setOn(bool)));
QObject::connect(DM, SIGNAL(seton13 (bool)), on13, SLOT(setOn(bool)));
QObject::connect(DM, SIGNAL(seton14 (bool)), on14, SLOT(setOn(bool)));
QObject::connect(DM, SIGNAL(seton15 (bool)), on15, SLOT(setOn(bool)));
QObject::connect(DM, SIGNAL(seton16 (bool)), on16, SLOT(setOn(bool)));

QObject::connect(DM, SIGNAL(setonstin (bool)), onstin, SLOT(setOn(bool)));
QObject::connect(DM, SIGNAL(setonret1 (bool)), onsend1, SLOT(setOn(bool)));
QObject::connect(DM, SIGNAL(setonret2 (bool)), onsend2, SLOT(setOn(bool)));
QObject::connect(DM, SIGNAL(setonret3 (bool)), onsend3, SLOT(setOn(bool)));
QObject::connect(DM, SIGNAL(setonret4 (bool)), onsend4, SLOT(setOn(bool)));

QObject::connect(DM, SIGNAL(setonstout (bool)), onstout, SLOT(setOn(bool)));

// Signal bindings for pan dials
QObject::connect(DM, SIGNAL(setpan1(int)), pan_dial1, SLOT(setValue(int)));
QObject::connect(DM, SIGNAL(setpan2(int)), pan_dial2, SLOT(setValue(int)));
QObject::connect(DM, SIGNAL(setpan3(int)), pan_dial3, SLOT(setValue(int)));
QObject::connect(DM, SIGNAL(setpan4(int)), pan_dial4, SLOT(setValue(int)));
QObject::connect(DM, SIGNAL(setpan5(int)), pan_dial5, SLOT(setValue(int)));
QObject::connect(DM, SIGNAL(setpan6(int)), pan_dial6, SLOT(setValue(int)));
QObject::connect(DM, SIGNAL(setpan7(int)), pan_dial7, SLOT(setValue(int)));
QObject::connect(DM, SIGNAL(setpan8(int)), pan_dial8, SLOT(setValue(int)));
QObject::connect(DM, SIGNAL(setpan9(int)), pan_dial9, SLOT(setValue(int)));
QObject::connect(DM, SIGNAL(setpan10(int)), pan_dial10, SLOT(setValue(int)));
QObject::connect(DM, SIGNAL(setpan11(int)), pan_dial11, SLOT(setValue(int)));
QObject::connect(DM, SIGNAL(setpan12(int)), pan_dial12, SLOT(setValue(int)));
QObject::connect(DM, SIGNAL(setpan13(int)), pan_dial13, SLOT(setValue(int)));
QObject::connect(DM, SIGNAL(setpan14(int)), pan_dial14, SLOT(setValue(int)));
QObject::connect(DM, SIGNAL(setpan15(int)), pan_dial15, SLOT(setValue(int)));
QObject::connect(DM, SIGNAL(setpan16(int)), pan_dial16, SLOT(setValue(int)));

QObject::connect (DM, SIGNAL (setpanstinl (int)), pan_dialstinl, SLOT (setValue (int)));
QObject::connect (DM, SIGNAL (setpanstinr (int)), pan_dialstinr, SLOT (setValue (int)));

QObject::connect (DM, SIGNAL (setpansend1l (int)), pan_dialsend1l, SLOT (setValue (int)));
QObject::connect (DM, SIGNAL (setpansend1r (int)), pan_dialsend1r, SLOT (setValue (int)));

QObject::connect (DM, SIGNAL (setpansend2l (int)), pan_dialsend2l, SLOT (setValue (int)));
QObject::connect (DM, SIGNAL (setpansend2r (int)), pan_dialsend2r, SLOT (setValue (int)));

QObject::connect (DM, SIGNAL (setpansend3 (int)), pan_dialsend3, SLOT (setValue (int)));
//QObject::connect (DM, SIGNAL (setpansend3r (int)), pan_dialsend3, SLOT (setValue (int)));

QObject::connect (DM, SIGNAL (setpansend4 (int)), pan_dialsend4, SLOT (setValue (int)));
//QObject::connect (DM, SIGNAL (setpansend4r (int)), pan_dialsend4r, SLOT (setValue (int)));

QObject::connect (DM, SIGNAL (setpanstout (int)), pan_dialstout, SLOT (setValue (int)));



QObject::connect (Node1ID, SIGNAL (textChanged (const QString&)), DM, SLOT (setnode1 (const QString&)));
QObject::connect (Node2ID, SIGNAL (textChanged (const QString&)), DM, SLOT (setnode2 (const QString&)));
QObject::connect (Node3ID, SIGNAL (textChanged (const QString&)), DM, SLOT (setnode3 (const QString&)));
QObject::connect (Node4ID, SIGNAL (textChanged (const QString&)), DM, SLOT (setnode4 (const QString&)));

QObject::connect (DM, SIGNAL (setnodename (const QString&)), NodeName, SLOT (setText (const QString&)));

QObject::connect (DM, SIGNAL (node1 (const QString&)), Node1ID, SLOT (setText (const QString&)));
QObject::connect (DM, SIGNAL (node2 (const QString&)), Node2ID, SLOT (setText (const QString&)));
QObject::connect (DM, SIGNAL (node3 (const QString&)), Node3ID, SLOT (setText (const QString&)));
QObject::connect (DM, SIGNAL (node4 (const QString&)), Node4ID, SLOT (setText (const QString&)));


// -------------------------------------------------------------------------- //
// Display canvas

promix.setMainWidget (dpromix01);
dpromix01 -> show();
return promix.exec(); 

}

// -------------------------------------------------------------------------- //




















